INSERT INTO `configuration_group` (`configuration_group_id`, `configuration_group_title`, `configuration_group_description`, `sort_order`, `visible`) VALUES ('6128', 'Mobile Site', 'Configuration values for mobile site', '160', '1');
    INSERT INTO `configuration` ( `configuration_title`, `configuration_key`, `configuration_value`, `configuration_description`, `configuration_group_id`, `sort_order`, `last_modified`, `date_added`, `use_function`, `set_function`) VALUES
    ( 'Enable Mobile Site?', 'MOBILE_SITE', 'True', 'Do you want to enable the mobile version of the site?', 6128, 1, '', now(), NULL, 'tep_cfg_select_option(array(''True'', ''False''), '),
    ( 'Mobile Image Width', 'MOBILE_IMAGE_WIDTH', '80', 'The pixel width of mobile images. Use auto to scale the image to box size.', 6128, 2, '', now(), '', ''),
    ( 'Mobile Image Height', 'MOBILE_IMAGE_HEIGHT', '80', 'The pixel height of mobile images. Use auto to scale the image to box size.', 6128, 3, '', now(), '', ''),
    ( 'Mobile Product Image Width', 'MOBILE_PRODUCT_IMAGE_WIDTH', '', 'The width of mobile images on the product page. Leave blank for auto image resize. Use numeric value for fixed image size in pixel, this is required for most image thumbnail add-ons.', 6128, 4, '', now(), '', ''),
    ( 'Mobile Product Image Height', 'MOBILE_PRODUCT_IMAGE_HEIGHT', '', 'The height of mobile images on the product page. Leave blank for auto image resize. Use numeric value for fixed image size in pixel, this is required for most image thumbnail add-ons.', 6128, 5, '', now(), '', ''),
    ( 'Mobile Product Name Length', 'MOBILE_PRODUCT_NAME_LENGTH', '55', 'The max length of product names shown in product listing', 6128, 6, '', now(), '', ''),
    ( 'Mobile Footer Date', 'FOOTER_DATE_ENABLED', 'true', 'Show the date in the mobile footer.', 6128, 8, '', now(), NULL, 'tep_cfg_select_option(array(''true'', ''false''), '),
    ( 'Mobile Footer Statistics', 'FOOTER_SITE_STATS_ENABLED', 'true', 'Show the statistics in the mobile footer.', 6128, 9, '', now(), NULL, 'tep_cfg_select_option(array(''true'', ''false''), '),
    ( 'Manufacturers in Advanced Mobile Search', 'SHOW_MANUFACTURERS_SEARCH_MENU', 'true', 'Show the manufacturers drop down menu in the advanced mobile search page.', 6128, 10, '', now(), NULL, 'tep_cfg_select_option(array(''true'', ''false''), '),
    ( 'Categories in Advanced Mobile Search', 'SHOW_CATEGORIES_SEARCH_MENU', 'true', 'Show the categories drop down menu in the advanced mobile search page.', 6128, 11, '', now(), NULL, 'tep_cfg_select_option(array(''true'', ''false''), '),
    ( 'Price range in Advanced Mobile Search', 'SHOW_SEARCH_BY_PRICE_RANGE', 'true', 'Show the price range option in the advanced mobile search page.', 6128, 12, '', now(), NULL, 'tep_cfg_select_option(array(''true'', ''false''), '),
    ( 'Date range in Advanced Mobile Search', 'SHOW_SEARCH_BY_DATE_RANGE', 'true', 'Show the date range option in the advanced mobile search page.', 6128, 13, '', now(), NULL, 'tep_cfg_select_option(array(''true'', ''false''), '),
    ( 'Show Manufacturer Menu in Mobile Catalog', 'SHOW_MANUFACTURERS_CATALOG_MENU', 'true', 'Show the manufacturers drop down menu in mobile catalog.', 6128, 14, '', now(), NULL, 'tep_cfg_select_option(array(''true'', ''false''), '),
    ( 'Enable Ajax page load', 'AJAX_ENABLED', 'true', 'Ajax enabled', '6128', '15', '', now(), NULL, 'tep_cfg_select_option(array(''true'', ''false''), '),
    ( 'Select link Transition', 'MOBILE_SITE_TRANSITION', 'false', 'Select link Transition for GET POST HREF (Enable Ajax page load to use this)', 6128, 16, '', now(), NULL, 'tep_cfg_select_option(array(''False'',''fade'',''pop'',''flip'',''turn'',''flow'',''slidefade'',''slide'',''slideup'',''slidedown''),'),
    ( 'Osc Theme', 'MOBILE_SITE_THEME', 'Osc,Oscmobile,Grey', 'List of Theme for OSC Mobile', 6128, 17, '', now(), NULL, NULL),
    ( 'Jquery Form Validation', 'JQUERY_MOBILE_VALIDATE', 'True', 'Do you want to enable the jquery validate', 6128, 18, '', now(), NULL, 'tep_cfg_select_option(array(''True'', ''False''), '),
    ( 'Enable theme selector', 'MOBILE_THEME_ENABLE', 'True', 'Do you want to enable the mobile theme selector of the site?', 6128, 19, '', now(), NULL, 'tep_cfg_select_option(array(''True'', ''False''), '),
    ( 'Enable category listing with images', 'CATEGORY_IMAGES_LISTING', 'True', 'Do you want to enable the category listing style with images?', 6128, 20, '', now(), NULL, 'tep_cfg_select_option(array(''True'', ''False''), '),
    ( 'Show breadcrumb trail in header', 'MOBILE_BREADCRUMB_TRAIL', 'true', 'Do you want to show the breadcrumb trail (categories-product-path) in the header?.', 6128, 21, '', now(), NULL, 'tep_cfg_select_option(array(''true'', ''false''), '),
    ( 'Display Product Image', 'MOBILE_PRODUCT_LIST_IMAGE', '1', 'Do you want to display the Product Image?', 6128, 22, '', now(), '', ''),
    ( 'Display Manufacturer', 'MOBILE_PRODUCT_LIST_MANUFACTURER', '0', 'Do you want to display the Product Manufacturer?', 6128, 23, '', now(), '', ''),
    ( 'Display Product Model', 'MOBILE_PRODUCT_LIST_MODEL', '0', 'Do you want to display the Product Model?', 6128, 24, '', now(), '', ''),
    ( 'Display Product Name', 'MOBILE_PRODUCT_LIST_NAME', '2', 'Do you want to display the Product Name?', 6128, 25, '', now(), '', ''),
    ( 'Display Product Price', 'MOBILE_PRODUCT_LIST_PRICE', '3', 'Do you want to display the Product Price?', 6128, 26, '', now(), '', ''),
    ( 'Display Product Quantity', 'MOBILE_PRODUCT_LIST_QUANTITY', '0', 'Do you want to display the Product Quantity?', 6128, 27, '', now(), '', ''),
    ( 'Display Product Weight', 'MOBILE_PRODUCT_LIST_WEIGHT', '0', 'Do you want to display the Product Weight?', 6128, 28, '', now(), '', ''),
    ( 'Display Buy Now button', 'MOBILE_PRODUCT_LIST_BUY_NOW', '4', 'Do you want to display the "Buy Now" button?', 6128, 29, '', now(), '', ''),
    ( 'Columns in product listing', 'MOBILE_PRODUCT_LIST_COLUMNS', '3', 'Number of columns to display in product listing. Values = 1-5', 6128, 30, '', now(), '', ''),
    ( 'Responsive Breakpoint for product listing', 'MOBILE_PRODUCT_LIST_BREAKPOINT', '35', 'At which screen width the product listing will change to 1 column? Value in em, 40em = 640px', 6128, 31, '', now(), '', ''),    
    ( 'Product listing', 'MOBILE_PRODUCT_LISTING', '0', 'Which product listing do you want to use. Values: 0 = grid listing, 1 = table listing, 2 = listview', 6128, 32, '', now(), '', ''),
    ( 'Display product count in categories listing', 'MOBILE_PRODUCT_COUNT', 'true', 'Do you want to show the number of products for each category in the categories listing?.', 6128, 33, '', now(), NULL, 'tep_cfg_select_option(array(''true'', ''false''), '),
    ( 'New Products Module', 'MOBILE_NEW_PRODUCTS_MODULE', '3', 'Maximum number of products to show in the new products module in mobile index page', 6128, 34, '', now(), '', ''),
    ( 'Specials Module', 'MOBILE_SPECIALS_MODULE', '3', 'Maximum number of products to show in the specials module in mobile index page', 6128, 35, '', now(), '', ''),
    ( 'Upcoming products Module', 'MOBILE_UPCOMING_MODULE', '3', 'Maximum number of products to show in the specials module in mobile index page', 6128, 36, '', now(), '', ''),
    ( 'Display Labels inside input fields', 'MOBILE_PLACEHOLDER', 'true', 'Do you want to show the Label inside input fields?.', 6128, 37, '', now(), NULL, 'tep_cfg_select_option(array(''true'', ''false''), '),
    ( 'Display Labels inside drop down menus', 'MOBILE_PLACEHOLDER_MENU', 'true', 'Do you want to show Labels inside drop down menus?.', 6128, 38, '', now(), NULL, 'tep_cfg_select_option(array(''true'', ''false''), '),
    ( 'Display Clear Buttons in input fields', 'MOBILE_CLEARBUTTON', 'true', 'Do you want to show Clear Buttons in input fields?.', 6128, 39, '', now(), NULL, 'tep_cfg_select_option(array(''true'', ''false''), '),
    ( 'Use Native Drop Down Menus', 'MOBILE_NATIVEMENU', 'true', 'Do you want to use Native Drop Down Menus?.', 6128, 40, '', now(), NULL, 'tep_cfg_select_option(array(''true'', ''false''), '),
    ( 'Auto Redirect to Desktop Site', 'MOBILE_CLASSIC_REDIRECT', 'true', 'Do you want to redirect to classic site if using desktop computer.', 6128, 41, '', now(), NULL, 'tep_cfg_select_option(array(''true'', ''false''), '),
    ( 'Redirect Tablets to Mobile', 'MOBILE_REDIRECT_TABLETS', 'true', 'Do you wish to redirect Tablets to Mobile Version', 6128, 42, '', now(), NULL, 'tep_cfg_select_option(array(''true'', ''false''), '),
    ( 'Store Phone', 'MOBILE_STORE_PHONE', '', 'Your Store Phone to use in the Phone Buttons in Mobile Header and Contact Page. Use dash(-) or white space to group numbers', 6128, 43, '', now(), NULL, ''),
    ( 'Display Phone Button in Mobile Header', 'MOBILE_HEADER_PHONE', 'true', 'Do you want to show a Phone Button in the Mobile Header? Button click will open dialer app in Mobile Phones.', 6128, 44, '', now(), NULL, 'tep_cfg_select_option(array(''true'', ''false''), ');
