<?php
/*
  $Id$

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce

  Released under the GNU General Public License
*/

  class breadcrumb {
    var $_trail;

    function breadcrumb() {
      $this->reset();
    }

    function reset() {
      $this->_trail = array();
    }

    function add($title, $link = '') {
      $this->_trail[] = array('title' => $title, 'link' => $link);
    }

    function trail($separator = ' - ') {
      if (defined(MOBILE_SITE) && defined('MOBILE_SESSION')) { //mobile site
        $trail_string = '<div data-role="controlgroup" data-type="horizontal" data-mini="true">';

          for ($i=0, $n=sizeof($this->_trail); $i<$n; $i++) {
            if (isset($this->_trail[$i]['link']) && tep_not_null($this->_trail[$i]['link'])) {
              $trail_string .= tep_button_jquery($this->_trail[$i]['title'], $this->_trail[$i]['link'],'a','button',  'data-icon="arrow-r" data-iconpos="right"');
            } else {
              $trail_string .= $this->_trail[$i]['title'];
            }

          }
          $trail_string .= '</div>';
      } else { //classic site
        $trail_string = '';

          for ($i=0, $n=sizeof($this->_trail); $i<$n; $i++) {
            if (isset($this->_trail[$i]['link']) && tep_not_null($this->_trail[$i]['link'])) {
              $trail_string .= '<a href="' . $this->_trail[$i]['link'] . '" class="headerNavigation">' . $this->_trail[$i]['title'] . '</a>';
            } else {
              $trail_string .= $this->_trail[$i]['title'];
            }

            if (($i+1) < $n) $trail_string .= $separator;
          }
      }

      return $trail_string;
    }
  }
?>
