<?php
require_once('includes/application_top.php');
require(DIR_WS_LANGUAGES . $language . '/' . FILENAME_ADVANCED_SEARCH);
$navigation->set_snapshot();

  $manufacturers_query = tep_db_query("select manufacturers_id, manufacturers_name from " . TABLE_MANUFACTURERS . " order by manufacturers_name");
  $manufacturers_array = array();
  $manufacturers_array[] = array('id' => '', 'text' => PULL_DOWN_DEFAULT);

  while ($manufacturers = tep_db_fetch_array($manufacturers_query)) {
        $manufacturers_name = ((strlen($manufacturers['manufacturers_name']) > MAX_DISPLAY_MANUFACTURER_NAME_LEN) ? substr($manufacturers['manufacturers_name'], 0, MAX_DISPLAY_MANUFACTURER_NAME_LEN) . '..' : $manufacturers['manufacturers_name']);
        $manufacturers_array[] = array('id' => $manufacturers['manufacturers_id'],
                                       'text' => $manufacturers_name);
   }

require(DIR_MOBILE_INCLUDES . 'header.php');
$headerTitle->write(NAVBAR_TITLE_1);
?>
<div id="iphone_content">
<!-- search //-->
<?php
  if ($messageStack->size('search') > 0) {
?>
<div id="messageStack">
<?php echo $messageStack->output('search'); ?>
</div>
<?php
  }
?>

<?php echo tep_draw_form('quick_find', tep_mobile_link(FILENAME_ADVANCED_SEARCH_RESULT, '', 'NONSSL', false)) ?>
<div id="cms">



 
 <?php
  echo tep_label_input_jquery('keywords', '',TEXT_KEYWORDS . ': ' . ((MOBILE_PLACEHOLDER == 'true')? INPUT_SEARCH : '' ), 'a', ((MOBILE_PLACEHOLDER == 'false')? 'placeholder="' . INPUT_SEARCH . '"' : ''), 'search');

  if(sizeof($manufacturers_array) > 1 && SHOW_MANUFACTURERS_SEARCH_MENU == 'true') {
    echo tep_label_pull_down_menu_jquery('manufacturers_id', $manufacturers_array, TEXT_MOBILE_MANUFACTURERS, '', (isset($HTTP_GET_VARS['manufacturers_id']) ? $HTTP_GET_VARS['manufacturers_id'] : PULL_DOWN_DEFAULT)) . tep_hide_session_id();
  }
  
  if(SHOW_CATEGORIES_SEARCH_MENU == 'true') {
    echo tep_label_pull_down_menu_jquery('categories_id', tep_get_categories(array(array('id' => '', 'text' => TEXT_ALL_CATEGORIES))), ENTRY_CATEGORIES, '', PULL_DOWN_DEFAULT) . tep_hide_session_id();
    echo '<label for="inc_subcat">' . ENTRY_INCLUDE_SUBCATEGORIES . '</label>';
    echo tep_checkbox_jquery('inc_subcat', true,'a',1) . tep_hide_session_id();
  }

  if(SHOW_SEARCH_BY_PRICE_RANGE == 'true') {
    echo tep_label_input_jquery('pfrom', '', ENTRY_PRICE_FROM);
    echo tep_label_input_jquery('pto', '', ENTRY_PRICE_TO);
  }

  if(SHOW_SEARCH_BY_DATE_RANGE == 'true') {
    echo tep_label_input_jquery('dfrom', '', ENTRY_DATE_FROM . ' ' . ((MOBILE_PLACEHOLDER == 'true')? DOB_FORMAT_STRING : '' ), 'a', ((MOBILE_PLACEHOLDER == 'false')? 'placeholder="' . DOB_FORMAT_STRING . '"' : ''));
    echo tep_label_input_jquery('dto', '', ENTRY_DATE_TO . ' ' . ((MOBILE_PLACEHOLDER == 'true')? DOB_FORMAT_STRING : '' ), 'a', ((MOBILE_PLACEHOLDER == 'false')? 'placeholder="' . DOB_FORMAT_STRING . '"' : ''));
  }
?>

 <div class="bouton">
	<?php 
 echo tep_button_jquery(IMAGE_BUTTON_SEARCH,'', 'b','submit',' data-icon="search" data-inline="false" data-iconpos="right" ');
	?>
</div>

</div>
</form>
<?php require(DIR_MOBILE_INCLUDES . 'footer.php');
?>
