<?php
	define ('MOBILE_SESSION', true);
	require('../includes/application_top.php');
  	require(DIR_MOBILE_INCLUDES . 'functions/general.php');
  	
	//@TODO need to findout why it's missing $SID for cURL
	if(empty($SID) && strlen(tep_session_id()) > 0 && (isset($HTTP_GET_VARS['osCsid'])? tep_session_id() == $HTTP_GET_VARS['osCsid'] : ''))
		$SID = tep_session_name() . '=' . tep_session_id();

	if ( isset($HTTP_GET_VARS['action'])	) {
			switch ($HTTP_GET_VARS['action']) {
        case 'remove_product':  if (isset($HTTP_GET_VARS['products_id'])) {
                              	$cart->remove($HTTP_GET_VARS['products_id']);
      							}
    						  tep_redirect(tep_mobile_link($goto, tep_get_all_get_params($parameters, array('module'))));
                              break;                      
      }
  }

    if (!tep_session_is_registered('languages_icon') || isset($HTTP_GET_VARS['language'])) {
    	if(!isset($lng)) {
		    include(DIR_WS_CLASSES . 'language.php');
		    $lng = new language();
    	}
    	tep_session_register('languages_icon');
    	$languages_icon = tep_image(DIR_WS_LANGUAGES .  $lng->language['directory'] . '/images/' . $lng->language['image'], $lng->language['name']);
    }

  // register mobilesession for redirect to mobile
  if (!tep_session_is_registered('mobilesession')) {
    tep_session_register('mobilesession');
    $mobilesession = true;
  }

	include(DIR_MOBILE_CLASSES . 'header_title.php');
	$headerTitle = new headerTitle();
	
    require(DIR_MOBILE_LANGUAGES . $language . '.php');
    
    header('Content-type: text/html; charset=' . ((CHARSET == 'utf-8')? CHARSET : MOBILE_CHARSET));


// Select theme if exist 
	
$theme = explode(',',MOBILE_SITE_THEME);
	
	foreach ( $theme as $value)
	$theme_exist[] = $value;
	
	if( isset($HTTP_GET_VARS['style'] ) && in_array($HTTP_GET_VARS['style'] , $theme_exist )  ) {
	
		tep_setcookie('css', $HTTP_GET_VARS['style'], time()+60*60*24*30, $cookie_path, $cookie_domain);
		define('CSS',$HTTP_GET_VARS['style']);
	}

	else if ( isset($_COOKIE['css']) && in_array( $_COOKIE['css'] , $theme_exist ) ) {
	
		define('CSS',$_COOKIE['css']);
	}
	
	else {

		define('CSS',$theme[0]);  // Default theme 
	}

// include the breadcrumb class and start the breadcrumb trail
  $breadcrumb = new breadcrumb;
  $breadcrumb->add(HEADER_TITLE_CATALOG, tep_href_link(FILENAME_CATALOG_MB));
  
// add category names or the manufacturer name to the breadcrumb trail
  if (isset($cPath_array)) {
    for ($i=0, $n=sizeof($cPath_array); $i<$n; $i++) {
      $categories_query = tep_db_query("select categories_name from " . TABLE_CATEGORIES_DESCRIPTION . " where categories_id = '" . (int)$cPath_array[$i] . "' and language_id = '" . (int)$languages_id . "'");
      if (tep_db_num_rows($categories_query) > 0) {
        $categories = tep_db_fetch_array($categories_query);
        $breadcrumb->add($categories['categories_name'], tep_href_link(FILENAME_CATALOG_MB, 'cPath=' . implode('_', array_slice($cPath_array, 0, ($i+1))))); // MOBILE OsC
      } else {
        break;
      }
    }
  } elseif (isset($HTTP_GET_VARS['manufacturers_id'])) {
    $manufacturers_query = tep_db_query("select manufacturers_name from " . TABLE_MANUFACTURERS . " where manufacturers_id = '" . (int)$HTTP_GET_VARS['manufacturers_id'] . "'");
    if (tep_db_num_rows($manufacturers_query)) {
      $manufacturers = tep_db_fetch_array($manufacturers_query);
      $breadcrumb->add($manufacturers['manufacturers_name'], tep_href_link(FILENAME_CATALOG_MB, 'manufacturers_id=' . $HTTP_GET_VARS['manufacturers_id'])); // MOBILE OsC
    }
  }
  
// add the products model or name to the breadcrumb trail
  if (isset($HTTP_GET_VARS['products_id'])) {
    $model_query = tep_db_query("select products_model from " . TABLE_PRODUCTS . " where products_id = '" . (int)$HTTP_GET_VARS['products_id'] . "'");
      if (tep_db_num_rows($model_query)) {
        $model = tep_db_fetch_array($model_query);
        if ($model['products_model'] != '') {
          $breadcrumb->add($model['products_model'], tep_href_link(FILENAME_PRODUCT_INFO, 'cPath=' . $cPath . '&products_id=' . $HTTP_GET_VARS['products_id']));
        } else {
          $name_query = tep_db_query("select products_name from " . TABLE_PRODUCTS_DESCRIPTION . " where products_id = '" . (int)$HTTP_GET_VARS['products_id'] . "' and language_id = '" . (int)$languages_id . "'");
          if (tep_db_num_rows($name_query)) {
            $name = tep_db_fetch_array($name_query);
            $breadcrumb->add(((strlen($name['products_name']) > 32)? substr($name['products_name'], 0, 32) . '...' : $name['products_name']), tep_href_link(FILENAME_PRODUCT_INFO, 'cPath=' . $cPath . '&products_id=' . $HTTP_GET_VARS['products_id']));
          }
        }
      }
    }
?>
