<?php
//BEGIN: CLASSIC REDIRECT_SCRIPT
  $url_replace_from = array('%redirectCancelled=true%', '%' . DIR_WS_HTTP_MOBILE .'%', '%' . FILENAME_CATALOG_MB .'%', '%^' . FILENAME_SEARCH .'%', '%' . FILENAME_ABOUT .'%', '%credits.php%', '/-mp-/', '/-mc-/', '/-mm-/', '/-mpr-/', '/-mpri-/', '/-mpi-/', '/-ma-/', '/-mau-/', '/-mby-/', '/-mf-/', '/-mfc-/', '/-mfri-/', '/-mfra-/', '/-mi-/', '/-mlinks-/', '/-mn-/', '/-mnc-/', '/-mnri-/', '/-mnra-/', '/-mpm-/', '/-mpo-/', '/-mt-/');
  $url_replace_to = array('MredirectCancelled=true', DIR_WS_HTTP_CATALOG, FILENAME_DEFAULT, FILENAME_DEFAULT, FILENAME_DEFAULT, FILENAME_DEFAULT, '-p-', '-c-', '-m-', '-pr-', '-pri-', '-pi-', '-a-', '-au-', '-by-', '-f-', '-fc-', '-fri-', '-fra-', '-i-', '-links-', '-n-', '-nc-', '-nri-', '-nra-', '-pm-', '-po-', '-t-');
  $classic_url = (($request_type == 'SSL') ? HTTPS_SERVER : HTTP_SERVER) . preg_replace($url_replace_from, $url_replace_to, htmlspecialchars($_SERVER['REQUEST_URI']));
  
  if(!isset($_GET['MredirectCancelled']) && $_GET['MredirectCancelled'] != 'true' && stripos($classic_url,'MredirectCancelled=true') == 0) {
    $classic_url .= ((stripos($classic_url,'?') > 0) ? '&' : '?') . "MredirectCancelled=true";
  }	
//END: CLASSIC REDIRECT_SCRIPT

  class classicRedirect {
  	var $redirected;
  	var $classicDir = DIR_WS_HTTP_CATALOG;
  	var $classicServ = HTTP_SERVER;
  	var $classicSSLDir = DIR_WS_HTTPS_CATALOG;
  	var $classicSSLServ = HTTPS_SERVER;
  	
    function classicRedirect() {
    	$this->redirected = $this->needRedirect();
    	if($this->redirected)
    		$this->redirect();
    }
    
    function needRedirect() {
    	if(MOBILE_CLASSIC_REDIRECT != 'true') 
    		return false;
    	if($this->isCancelled()) 
    		return false;
    	if( (strpos('http://' . $_SERVER['SCRIPT_NAME'],$this->classicDir) > 0) && (strpos('http://' . $_SERVER['SERVER_NAME'],$this->classicServ) > 0) )
    		return false;
    	if( (strpos('https://' . $_SERVER['SCRIPT_NAME'],$this->classicSSLDir) > 0) && (strpos('http://' . $_SERVER['SERVER_NAME'],$this->classicSSLServ) > 0) )
    		return false;
    	if(smartphone() == false)
            return true;
    	if(MOBILE_SITE != 'True')
            return true;
    	return false;
    }
    
    function isCancelled() {
    	if (tep_session_is_registered('redirectCancelled')) 
    		return true;
    	if(isset($_GET['redirectCancelled']) && $_GET['redirectCancelled'] == 'true') {
    		tep_session_register('redirectCancelled');
    		return true;
    	}
    	return false;
    }
    
    function redirect() {
	global $classic_url; 	
		tep_redirect($classic_url);
    }
    
  }
?>
