<?php
//BEGIN: MOBILE REDIRECT_SCRIPT    
  if (USU5_ENABLED == 'true' || SEO_ENABLED == 'true'){
    $marker_replace_from = array('/-p-/', '/-c-/', '/-m-/', '/-pr-/', '/-pri-/', '/-pi-/', '/-a-/', '/-au-/', '/-by-/', '/-f-/', '/-fc-/', '/-fri-/', '/-fra-/', '/-i-/', '/-links-/', '/-n-/', '/-nc-/', '/-nri-/', '/-nra-/', '/-pm-/', '/-po-/', '/-t-/');
    $marker_replace_to = array('-mp-', '-mc-', '-mm-', '-mpr-', '-mpri-', '-mpi-', '-ma-', '-mau-', '-mby-', '-mf-', '-mfc-', '-mfri-', '-mfra-', '-mi-', '-mlinks-', '-mn-', '-mnc-', '-mnri-', '-mnra-', '-mpm-', '-mpo-', '-mt-');
    $mobile_site = preg_replace($marker_replace_from, $marker_replace_to, $_SERVER['REQUEST_URI']);
    if (strpos($mobile_site, '-mc-') || strpos($mobile_site, '-mm-')) {
      $mobile_site = str_replace(FILENAME_DEFAULT, FILENAME_CATALOG_MB, $mobile_site);
    }
    if (DIR_WS_HTTP_CATALOG != '/') {
      $mobile_site = str_replace(DIR_WS_HTTP_CATALOG, '', $mobile_site);
    } else {
      $mobile_site = ltrim($mobile_site, '/');
    }
    if($mobile_site != $_SERVER['REQUEST_URI']) {
      $mobile_url = (($request_type == 'SSL') ? HTTPS_MOBILE_SERVER . DIR_WS_HTTPS_MOBILE : HTTP_MOBILE_SERVER . DIR_WS_HTTP_MOBILE) . (file_exists(DIR_FS_MOBILE . basename($PHP_SELF))? $mobile_site : '');
    } else {
      $mobile_url = (($request_type == 'SSL') ? HTTPS_MOBILE_SERVER . DIR_WS_HTTPS_MOBILE : HTTP_MOBILE_SERVER . DIR_WS_HTTP_MOBILE) . (file_exists(DIR_FS_MOBILE . basename($PHP_SELF))? $_SERVER['REQUEST_URI'] : '');
    }
  } else {
    $mobile_site = basename($PHP_SELF);
    if (strpos($_SERVER['REQUEST_URI'], FILENAME_DEFAULT) && (strpos($_SERVER['REQUEST_URI'], 'manufacturers_id=') || strpos($_SERVER['REQUEST_URI'], 'cPath='))) {
      $mobile_site = str_replace(FILENAME_DEFAULT, FILENAME_CATALOG_MB, $mobile_site);                            
    }
    if (tep_not_null(tep_get_all_get_params())) {
      $mobile_url = (($request_type == 'SSL') ? HTTPS_MOBILE_SERVER . DIR_WS_HTTPS_MOBILE : HTTP_MOBILE_SERVER . DIR_WS_HTTP_MOBILE) . (file_exists(DIR_FS_MOBILE . basename($mobile_site))? $mobile_site : '') . '?' . rtrim (tep_output_string(tep_get_all_get_params()), '&');
    } else {
      $mobile_url = (($request_type == 'SSL') ? HTTPS_MOBILE_SERVER . DIR_WS_HTTPS_MOBILE : HTTP_MOBILE_SERVER . DIR_WS_HTTP_MOBILE) . (file_exists(DIR_FS_MOBILE . basename($mobile_site))? $mobile_site : '');
    }	
  }
  
  if(!isset($_GET['redirectCancelled']) && $_GET['redirectCancelled'] != 'true') {
    if(stripos($mobile_url,'MredirectCancelled=true') == 0) {
    $mobile_url .= ((stripos($mobile_url,'?') > 0) ? '&' : '?') . "redirectCancelled=true";
    } else {
    $mobile_url = str_replace('MredirectCancelled=true', 'redirectCancelled=true', $mobile_url);
    }
  }
  
  if ( tep_session_is_registered('mobilesession') && isset($_GET['MredirectCancelled']) ) {
    tep_session_unregister('mobilesession');
  }
//END: MOBILE REDIRECT_SCRIPT    

  class mobileRedirect {
  	var $redirected;
  	var $mobileDir = DIR_WS_HTTP_MOBILE;
  	var $mobileServ = HTTP_MOBILE_SERVER;
  	var $mobileSSLDir = DIR_WS_HTTPS_MOBILE;
  	var $mobileSSLServ = HTTPS_MOBILE_SERVER;
  	
    function mobileRedirect() {
    	$this->redirected = $this->needRedirect();
    	if($this->redirected)
    		$this->redirect();
    }
    
    function needRedirect() {
    	if($this->isCancelled()) 
    		return false;
    	if( (strpos('http://' . $_SERVER['SCRIPT_NAME'],$this->mobileDir) > 0) && (strpos('http://' . $_SERVER['SERVER_NAME'],$this->mobileServ) > 0) )
    		return false;
        if( (strpos('https://' . $_SERVER['SCRIPT_NAME'],$this->mobileSSLDir) > 0) && (strpos('https://' . $_SERVER['SERVER_NAME'],$this->mobileSSLServ) > 0) )
        	return false;
    	if(smartphone() == true)
            return true;
    	return false;
    }
    
    function isCancelled() {
    	if (MOBILE_SITE != 'True') 
    		return true;
    	if (tep_session_is_registered('MredirectCancelled')) 
    		return true;
    	if(isset($_GET['MredirectCancelled']) && $_GET['MredirectCancelled'] == 'true') {
    		tep_session_register('MredirectCancelled');
    		return true;
    	}
    	return false;
    }
    
        function redirect() {
		global $mobile_url; 	
			tep_redirect($mobile_url);
	}
  }
?>
