<?php
// charset for mobile pages
define('MOBILE_CHARSET', 'windows-1252');

define('TEXT_HOME', 'Hjem');
define('TEXT_SHOP', 'Butik');
define('TEXT_ACCOUNT', 'Konto');
define('TEXT_ABOUT', 'Information');
define('TEXT_LANGUAGES', 'Sprog');
define('TEXT_CURRENCIES', 'Valuta');
define('TEXT_OPTIONS', 'Options');
define('TEXT_THEME','Theme');
define('TEXT_SHOPPING_CART', 'My cart');
define('TEXT_HEADING_QUANTITY', 'Quantity');
define('TEXT_HEADING_PRICE', 'Price');
define('TEXT_HEADING_SPECIALS', 'Specials in %s');

define('TEXT_PRODUCT_OPTIONS', 'Mulige valg:');
define('TEXT_NO_PRODUCTS2', 'There is no product available from this manufacturer.');

define('MOBILE_GREETING_PERSONAL', 'Welcome back ');
define('MOBILE_GREETING_GUEST', 'Welcome Guest! Would you like to log yourself in? Or would you prefer to create an account?');

define('TEXT_WELCOME', 'Velkommen til Nillers EDBÂ´s mobile butik!'); 
define('TEXT_WELCOME', 'Welcome at our mobile shop!'); 

define('TEXT_MY_ORDERS', 'Mine ordrer');
define('TEXT_NEWSLETTERS', 'Nyhedsbrev');
define('TEXT_KEYWORDS', 'Keyword');

define('TEXT_NOSCRIPT', 'Denne mobile webshop kr�ver JavaScript. Venligst aktivere din browser eller �ndre visningen:');

define('TEXT_MOBILE_ACCOUNT_CREATED', 'Congratulations! Your new account has been successfully created! You can now take advantage of member priviledges to enhance your online shopping experience with us. If you have <small><b>ANY</b></small> questions about the operation of this online shop, please email the <a data-role="button" data-inline="true" data-mini="true" data-theme="b" data-icon="edit" href="' . tep_href_link(FILENAME_CONTACT_US) . '">store owner</a>.<br><br>A confirmation has been sent to the provided email address. If you have not received it within the hour, please <a data-role="button" data-inline="true" data-mini="true" data-theme="b" data-icon="edit" href="' . tep_href_link(FILENAME_CONTACT_US) . '">contact us</a>.');

define('TEXT_MOBILE_CATEGORIES', 'Kategorie');
define('TEXT_MOBILE_MANUFACTURERS', 'Producenter');
define('TEXT_MOBILE_PRODUCTS_NEW', 'Nye Produkter');
define('TEXT_MOBILE_SPECIALS', 'Tilbud');

define('TEXT_MOBILE_ACCOUNT_CREATED', 'Tillykke! Din nye konto er blevet oprettet! Du kan nu drage fordel af medlemslande priviledges at forbedre din online shopping oplevelse med os. Hvis du har <small><b>NOGEN</b></small> spørgsmål om gennemførelsen af ​​denne online shop, kan du kontakte <a data-role="button" data-inline="true" data-mini="true" data-theme="b" data-icon="edit" href="' . tep_href_link(FILENAME_CONTACT_US) . '">butikken ejer</a>.<br><br>En bekræftelse er blevet sendt til den angivne e-mail-adresse. Hvis du ikke har modtaget det inden for en time, så <a data-role="button" data-inline="true" data-mini="true" data-theme="b" data-icon="edit" href="' . tep_href_link(FILENAME_CONTACT_US) . '">kontakt os</a>.');

define('MODULE_CONTENT_CHECKOUT_SUCCESS_TEXT_SEE_ORDERS_MOBILE', 'Du kan se status for din ordre n&aring;r som helst p&aring; din konto se <a data-role="button" data-inline="true" data-mini="true" data-theme="b" data-icon="edit" href="' . tep_href_link(FILENAME_ACCOUNT, '', 'SSL') . '">\'Ordrer\'</a> side.');
define('MODULE_CONTENT_CHECKOUT_SUCCESS_TEXT_CONTACT_STORE_OWNER_MOBILE', 'Du bedes sende eventuelle sp&oslash;rgsm&aring;l, du m&aring;tte have til os p&aring; vores <a data-role="button" data-inline="true" data-mini="true" data-theme="b" data-icon="edit" href="' . tep_href_link(FILENAME_CONTACT_US) . '">Kontakt os</a> side.');

define('MOBILE_SELECT_THIS_METHOD','Tryk for at vÃ¦lge denne mÃ¥de');
define('MOBILE_PULL_DOWN_DEFAULT_1', 'Please select');
define('MOBILE_PULL_DOWN_DEFAULT_2', '');
define('TEXT_MOBILE_BACK_TO_CATEGORIES', 'Tilbage til kategorier');
define('TEXT_SORTED_BY', 'Sorted by:&nbsp;');
define('TEXT_SORT_BY', 'Sort by:');
define('TEXT_MOBILE_SHOW_ALL', 'Vis alle');

// BOF Pulldown Date Of Birth
define('MOBILE_DATE_DAY', 'Day');
define('MOBILE_DATE_MONTH', 'Month');
define('MOBILE_DATE_YEAR', 'Year');
define('MOBILE_DATE_JAN', 'January');
define('MOBILE_DATE_FEB', 'February');
define('MOBILE_DATE_MAR', 'March');
define('MOBILE_DATE_APR', 'April');
define('MOBILE_DATE_MAY', 'May');
define('MOBILE_DATE_JUN', 'June');
define('MOBILE_DATE_JUL', 'July');
define('MOBILE_DATE_AUG', 'August');
define('MOBILE_DATE_SEP', 'September');
define('MOBILE_DATE_OCT', 'October');
define('MOBILE_DATE_NOV', 'November');
define('MOBILE_DATE_DEC', 'December');
// EOF Pulldown Date Of Birth

define('INPUT_SEARCH', 'Product Name, Reference');

define('IMAGE_BUTTON_ACCOUNT', 'My Account');
define('IMAGE_BUTTON_ADVANCED_SEARCH', 'Advanced Search');
define('IMAGE_BUTTON_CHANGE', 'Change');
define('IMAGE_BUTTON_CREATE_ACCOUNT', 'Create Account');
define('IMAGE_BUTTON_DOWNLOAD', 'Download');
define('IMAGE_BUTTON_FORGOT_PASS', 'Forgot Password');
define('IMAGE_BUTTON_LOGOFF', 'Sign Off');
define('IMAGE_BUTTON_REMOVE', 'Remove');
define('BUTTON_PREV', 'Prev');
define('BUTTON_NEXT', 'Next');
define('IMAGE_BUTTON_WEBPAGE', 'Webpage');
define('IMAGE_BUTTON_BACK_TO', 'Back to ');
define('IMAGE_BUTTON_PHONE', 'Tlf. ');
?>