<?php
require(DIR_MOBILE_CLASSES . 'split_page_results_mobile.php');
$listing_split = new splitPageResultsMobile($listing_sql, 12, 'p.products_id');
//<!-- products //-->
if ($listing_split->number_of_rows > 0 ) {
  echo '<div class="cms">';

  for ($col=0, $n=sizeof($column_list); $col<$n; $col++) {

    switch ($column_list[$col]) {
      case 'PRODUCT_LIST_MODEL':
        $lc_text = TABLE_HEADING_MODEL;
        $lc_align = 'left';
        break;
      case 'PRODUCT_LIST_NAME':
        $lc_text = TABLE_HEADING_PRODUCTS;
        $lc_align = 'left';
        break;
      case 'PRODUCT_LIST_MANUFACTURER':
        $lc_text = TABLE_HEADING_MANUFACTURER;
        $lc_align = 'left';
        break;
      case 'PRODUCT_LIST_PRICE':
        $lc_text = TEXT_HEADING_PRICE;
        $lc_align = '';
        break;
      case 'PRODUCT_LIST_QUANTITY':
        $lc_text = TEXT_HEADING_QUANTITY;
        $lc_align = '';
        break;
      case 'PRODUCT_LIST_WEIGHT':
        $lc_text = TABLE_HEADING_WEIGHT;
        $lc_align = '';
        break;
      case 'PRODUCT_LIST_IMAGE':
        $lc_text = TABLE_HEADING_IMAGE;
        $lc_align = 'center';
        break;
      case 'PRODUCT_LIST_BUY_NOW':
        $lc_text = TABLE_HEADING_BUY_NOW;
        $lc_align = 'center';
        break;
    }

    if ( ($column_list[$col] != 'PRODUCT_LIST_BUY_NOW') && ($column_list[$col] != 'PRODUCT_LIST_IMAGE') ) {
      $sort_button .= tep_create_sort_menu($HTTP_GET_VARS['sort'], $col+1, $lc_text);
      if (substr($HTTP_GET_VARS['sort'], 0, 1) == $col+1) {
        $sortby = $HTTP_GET_VARS['sort'];
      	$colnum = $col+1;
      	$sort_selected_icon = (substr($sortby, 0, 1) == $colnum ? (substr($sortby, 1, 1) == 'a' ? 'arrow-u' : 'arrow-d') : 'arrow-d');
      	$sort_selected = $lc_text;
      }
    }
    $prod_list_heading .= '        <th' . (tep_not_null($lc_align) ? ' style="text-align:' . $lc_align . '"' : '') . '>' . $lc_text . '</th>';
  }
  $sort_button = '<div style="text-align:center"><a href="#sortpopupMenu" data-rel="popup" data-role="button" data-transition="slideup" data-icon="' . $sort_selected_icon . '" data-iconpos="right" data-inline="true" data-theme="a" data-mini="true">' . TEXT_SORTED_BY . $sort_selected . '</a>' .
                 '  <div data-role="popup" id="sortpopupMenu" data-theme="a">' .
                 '    <ul data-role="listview" data-inset="true" style="min-width:210px;" data-theme="a">' . 
                      $sort_button;

  $sort_button .= '    </ul>' . 
  		  '  </div>' . 
  		  '</div>' . 
  		  '<br />';
  if ($col > 0 && basename($PHP_SELF) != FILENAME_PRODUCTS_NEW  && $listing_split->number_of_rows > 1) echo  $sort_button;

  $prod_list_contents = '  <table id="product-listing-table" data-role="table" data-mode="reflow" class="ui-body-d ui-shadow table-stripe product-table-breakpoint table-stroke">' .
                        '    <thead>' .
                        '      <tr>';
  $prod_list_contents .= $prod_list_heading;
  $prod_list_contents .= '      </tr>' .
                         '    </thead>';
  $prod_list_contents .= '    <tbody>';

  $num_of_columns = MOBILE_PRODUCT_LIST_COLUMNS;
	$row = 0;
  $listing_query = tep_db_query($listing_split->sql_query);
  while ($listing = tep_db_fetch_array($listing_query)) {
  $prod_list_contents .= '      <tr>';
		
    $path = '<a href="' . tep_mobile_link(FILENAME_PRODUCT_INFO, 'products_id=' . $listing['products_id']) . '">';
    $img = tep_image(DIR_WS_IMAGES .$listing['products_image'], $listing['products_name'], MOBILE_IMAGE_WIDTH, MOBILE_IMAGE_HEIGHT);
    $img = str_replace( 'border="0"','',$img); // W3C VALID HTML 5
	
    if (tep_not_null($listing['specials_new_products_price'])) {
      $price = '<s>' . $currencies->display_price($listing['products_price'], tep_get_tax_rate($listing['products_tax_class_id'])) . '</s>&nbsp;&nbsp;<span class="productSpecialPrice">' . $currencies->display_price($listing['specials_new_products_price'], tep_get_tax_rate($listing['products_tax_class_id'])) . '</span>';
    } else {
      $price = $currencies->display_price($listing['products_price'], tep_get_tax_rate($listing['products_tax_class_id']));
    }
       
    $buy_button = tep_button_jquery(IMAGE_BUTTON_IN_CART,tep_mobile_link(basename($PHP_SELF), tep_get_all_get_params(array('action')) . 'action=buy_now&products_id=' . $listing['products_id']),'a','button',' data-mini="true"');     

      
        for ($line=0, $n=sizeof($column_list); $line<$n; $line++) {
          switch ($column_list[$line]) {
            case 'PRODUCT_LIST_MODEL':
              $prod_list_contents .= '<td style="text-align:left"><div class="prodsecondary">' . $listing['products_model'] . '</div></td>';
            break;
            case 'PRODUCT_LIST_NAME':
              $prod_list_contents .= '<td style="text-align:left"><div class="prodName">' . $path;
		if (strlen($listing['products_name']) > MOBILE_PRODUCT_NAME_LENGTH) {
		  $prod_list_contents .= substr($listing['products_name'], 0, MOBILE_PRODUCT_NAME_LENGTH) . '...';
		} else {
		  $prod_list_contents .= $listing['products_name'];
		}
		$prod_list_contents .= '</a></div></td>';
            break;
            case 'PRODUCT_LIST_MANUFACTURER':
              $prod_list_contents .= '<td style="text-align:left"><div class="prodsecondary"><a href="' . tep_href_link(FILENAME_CATALOG_MB, 'manufacturers_id=' . $listing['manufacturers_id']) . '">' . $listing['manufacturers_name'] . '</a></div></td>';
            break;
            case 'PRODUCT_LIST_PRICE':
              $prod_list_contents .= '<td><div class="prodPrice">' . $price . '</div></td>';
            break;
            case 'PRODUCT_LIST_QUANTITY':
              $prod_list_contents .= '<td><div class="prodsecondary">' . $listing['products_quantity'] . '</div></td>';
            break;
            case 'PRODUCT_LIST_WEIGHT':
              $prod_list_contents .= '<td><div class="prodsecondary">' . $listing['products_weight'] . '</div></td>';
            break;
            case 'PRODUCT_LIST_IMAGE':
              $prod_list_contents .= '<td style="text-align:center"><div class="prodImage">' . $path . $img . '</a></div></td>';
            break;
            case 'PRODUCT_LIST_BUY_NOW':
              $prod_list_contents .= '<td style="text-align:center"><div class="prodButton">' . $buy_button . '</div></td>';
            break;
        }
      }
      $prod_list_contents .= '       </tr>';
  }
      $prod_list_contents .= '    <tbody>' . 
    			   '  </table>';
  echo $prod_list_contents;
  echo '</div>';
  
?>
<div id="results">
<?php 
  echo $listing_split->display_count(TEXT_DISPLAY_NUMBER_OF_PRODUCTS);
  echo '<div data-role="controlgroup" data-type="horizontal" data-mini="true">' . $listing_split->display_links_mobile(MAX_DISPLAY_PAGE_LINKS, tep_get_all_get_params(array('page', 'info', 'x', 'y'))) . '</div>';
?>
</div>
<?php
} else {
  echo '<div class="cms">' . ((basename($PHP_SELF) == 'advanced_search_result.php')? TEXT_NO_PRODUCTS : TEXT_NO_PRODUCTS2) . '</div>';	
}
?>
