<?php
  list($usec, $sec) = explode(' ', microtime());
  srand( (float) $sec + ((float) $usec * 100000) );
  $mtm= rand();

  $random_specials_query = tep_db_query("select distinct p.products_id, p.products_image, p.products_price, p.products_tax_class_id, pd.products_name, IF(s.status, s.specials_new_products_price, NULL) as specials_new_products_price, IF(s.status, s.specials_new_products_price, p.products_price) as final_price from " . TABLE_PRODUCTS . " p left join " . TABLE_SPECIALS . " s on p.products_id = s.products_id, " . TABLE_PRODUCTS_DESCRIPTION . " pd where p.products_status = '1' and p.products_id = pd.products_id and pd.language_id = '" . (int)$languages_id . "' and s.status = '1' order by rand($mtm) DESC limit " . MOBILE_SPECIALS_MODULE);

  if (tep_db_num_rows($random_specials_query) > 0) {

    $specials_content = '<div class="cms">';
    $specials_content .= tep_button_jquery(sprintf(TEXT_HEADING_SPECIALS, strftime('%B')), tep_mobile_link(FILENAME_SPECIALS), 'b' , 'button' , ' data-icon="arrow-r" data-iconpos="right"' );

  if (MOBILE_PRODUCT_LIST_COLUMNS == 1) {
    $specials_content .= '  <div>';
  } else {    	    
    switch (MOBILE_PRODUCT_LIST_COLUMNS){
      case '1':
        $specials_content .= '  <div>';
      break;
      case '2':
        $specials_content .= '  <div class="ui-grid-a product-listing-breakpoint">';
      break;
      case '3':
        $specials_content .= '  <div class="ui-grid-b product-listing-breakpoint">';
      break;
      case '4':
        $specials_content .= '  <div class="ui-grid-c product-listing-breakpoint">';
      break;
      case '5':
        $specials_content .= '  <div class="ui-grid-d product-listing-breakpoint">';
      break;
    }
  }

    $col = 0;
    while ($specials = tep_db_fetch_array($random_specials_query)) {

      if ($col >= MOBILE_PRODUCT_LIST_COLUMNS) {
        $col = 0;
      }
    
    if (MOBILE_PRODUCT_LIST_COLUMNS == 1) {
      $specials_content .=  '    <div>';
    } else {    	    
      switch ($col) {
        case '0':
          $specials_content .=  '    <div class="ui-block-a">';
        break;
        case '1':
          $specials_content .=  '    <div class="ui-block-b">';
        break;
        case '2':
          $specials_content .=  '    <div class="ui-block-c">';
        break;
        case '3':
          $specials_content .=  '    <div class="ui-block-d">';
        break;
        case '4':
          $specials_content .=  '    <div class="ui-block-e">';
        break;
      }
    }
    
      $path = '<a href="' . tep_mobile_link(FILENAME_PRODUCT_INFO, 'products_id=' . $specials['products_id']) . '">';
      $img = tep_image(DIR_WS_IMAGES .$specials['products_image'], $specials['products_name'], MOBILE_IMAGE_WIDTH, MOBILE_IMAGE_HEIGHT);
      $img = str_replace( 'border="0"','',$img); // W3C VALID HTML 5
	
      if (tep_not_null($specials['specials_new_products_price'])) {
        $price = '<s>' . $currencies->display_price($specials['products_price'], tep_get_tax_rate($specials['products_tax_class_id'])) . '</s>&nbsp;&nbsp;<span class="productSpecialPrice">' . $currencies->display_price($specials['specials_new_products_price'], tep_get_tax_rate($specials['products_tax_class_id'])) . '</span>';
      } else {
        $price = $currencies->display_price($specials['products_price'], tep_get_tax_rate($specials['products_tax_class_id']));
      }
       
      $specials_content .= '      <div class="prodCell">' . 
        	            '        <div class="ui-bar">';

      $specials_content .= '<div class="prodImage">' . $path . $img . '</a></div>';
      $specials_content .= '<div class="prodName">' . $path;
      if (strlen($specials['products_name']) > MOBILE_PRODUCT_NAME_LENGTH) {
        $specials_content .= substr($specials['products_name'], 0, MOBILE_PRODUCT_NAME_LENGTH) . '...';
      } else {
        $specials_content .= $specials['products_name'];
      }
      $specials_content .= '</a></div>';
      $specials_content .= '<div class="prodPrice">' . $price . '</div>';
      $specials_content .= '        </div>' . 
    			    '      </div>' .
    			    '    </div>';
      $col++;

      } // end while
    
      $specials_content .= '  </div>' . 
      			    '</div>';
      echo $specials_content;
  }
?>
