<?php

  $expected_query = tep_db_query("select p.products_id, pd.products_name, products_date_available as date_expected from " . TABLE_PRODUCTS . " p, " . TABLE_PRODUCTS_DESCRIPTION . " pd where to_days(products_date_available) >= to_days(now()) and p.products_id = pd.products_id and pd.language_id = '" . (int)$languages_id . "' order by " . EXPECTED_PRODUCTS_FIELD . " " . EXPECTED_PRODUCTS_SORT . " limit " . MOBILE_UPCOMING_MODULE);

  if (tep_db_num_rows($expected_query) > 0) {
  
    $expected_content = '<div class="cms">';
    $expected_content .= '<h2>' . TABLE_HEADING_UPCOMING_PRODUCTS . '</h2>';

    switch (MOBILE_PRODUCT_LIST_COLUMNS){
      case '1':
        $expected_content .= '  <div>';
      break;
      case '2':
        $expected_content .= '  <div class="ui-grid-a product-listing-breakpoint">';
      break;
      case '3':
        $expected_content .= '  <div class="ui-grid-b product-listing-breakpoint">';
      break;
      case '4':
        $expected_content .= '  <div class="ui-grid-c product-listing-breakpoint">';
      break;
      case '5':
        $expected_content .= '  <div class="ui-grid-d product-listing-breakpoint">';
      break;
    }

    $col = 0;
    while ($expected = tep_db_fetch_array($expected_query)) {

      if ($col >= MOBILE_PRODUCT_LIST_COLUMNS) {
        $col = 0;
      }
    
    if (MOBILE_PRODUCT_LIST_COLUMNS == 1) {
      $expected_content .=  '    <div>';
    } else {    	    
      switch ($col) {
        case '0':
          $expected_content .=  '    <div class="ui-block-a">';
        break;
        case '1':
          $expected_content .=  '    <div class="ui-block-b">';
        break;
        case '2':
          $expected_content .=  '    <div class="ui-block-c">';
        break;
        case '3':
          $expected_content .=  '    <div class="ui-block-d">';
        break;
        case '4':
          $expected_content .=  '    <div class="ui-block-e">';
        break;
      }
    }
    
      $path = '<a href="' . tep_mobile_link(FILENAME_PRODUCT_INFO, 'products_id=' . $expected['products_id']) . '">';
       
      $expected_content .= '      <div class="prodCell">' . 
        	            '        <div class="ui-bar">';

      $expected_content .= '<div class="prodName">' . $path;
      if (strlen($expected['products_name']) > MOBILE_PRODUCT_NAME_LENGTH) {
        $expected_content .= substr($expected['products_name'], 0, MOBILE_PRODUCT_NAME_LENGTH) . '...';
      } else {
        $expected_content .= $expected['products_name'];
      }
      $expected_content .= '<div class="prodsecondary">' . TABLE_HEADING_DATE_EXPECTED . ':&nbsp;' . tep_date_short($expected['date_expected']) . '</div>';
      $expected_content .= '</a></div>';
      $expected_content .= '        </div>' . 
    			    '      </div>' .
    			    '    </div>';
      $col++;

      } // end while
    
      $expected_content .= '  </div>' . 
      			    '</div>';
      echo $expected_content;
  }
?>
