<?php
require_once('includes/application_top.php');
require(DIR_WS_LANGUAGES . $language . '/' . FILENAME_PASSWORD_FORGOTTEN);

  $password_reset_initiated = false;

  if (isset($HTTP_GET_VARS['action']) && ($HTTP_GET_VARS['action'] == 'process')) {
    $email_address = tep_db_prepare_input($HTTP_POST_VARS['email_address']);

    $check_customer_query = tep_db_query("select customers_firstname, customers_lastname, customers_password, customers_id from " . TABLE_CUSTOMERS . " where customers_email_address = '" . tep_db_input($email_address) . "'");
    if (tep_db_num_rows($check_customer_query)) {
      $check_customer = tep_db_fetch_array($check_customer_query);

      $actionRecorder = new actionRecorder('ar_reset_password', $check_customer['customers_id'], $email_address);

      if ($actionRecorder->canPerform()) {
        $actionRecorder->record();

        $reset_key = tep_create_random_value(40);

        tep_db_query("update " . TABLE_CUSTOMERS_INFO . " set password_reset_key = '" . tep_db_input($reset_key) . "', password_reset_date = now() where customers_info_id = '" . (int)$check_customer['customers_id'] . "'");

        $reset_key_url = tep_href_link(FILENAME_PASSWORD_RESET, 'account=' . urlencode($email_address) . '&key=' . $reset_key, 'SSL', false);

        if ( strpos($reset_key_url, '&amp;') !== false ) {
          $reset_key_url = str_replace('&amp;', '&', $reset_key_url);
        }

        tep_mail($check_customer['customers_firstname'] . ' ' . $check_customer['customers_lastname'], $email_address, utf8_decode(EMAIL_PASSWORD_RESET_SUBJECT), sprintf(html_entity_decode(EMAIL_PASSWORD_RESET_BODY), $reset_key_url), STORE_OWNER, STORE_OWNER_EMAIL_ADDRESS);

        $password_reset_initiated = true;
      } else {
        $actionRecorder->record(false);

        $messageStack->add('password_forgotten', sprintf(ERROR_ACTION_RECORDER, (defined('MODULE_ACTION_RECORDER_RESET_PASSWORD_MINUTES') ? (int)MODULE_ACTION_RECORDER_RESET_PASSWORD_MINUTES : 5)));
      }
    } else {
      $messageStack->add('password_forgotten', TEXT_NO_EMAIL_ADDRESS_FOUND);
    }
  }

  $breadcrumb->add(NAVBAR_TITLE_1, tep_mobile_link(FILENAME_LOGIN, '', 'SSL'));
  $breadcrumb->add(NAVBAR_TITLE_2, tep_mobile_link(FILENAME_PASSWORD_FORGOTTEN, '', 'SSL'));
  require(DIR_MOBILE_INCLUDES . 'header.php');
  $headerTitle->write();
  ?>
<!-- header_eof //-->
<div id="iphone_content">
<!-- body //-->
	<?php echo tep_draw_form('password_forgotten', tep_mobile_link(FILENAME_PASSWORD_FORGOTTEN, 'action=process', 'SSL'));
	if ($messageStack->size('password_forgotten') > 0) {
		echo '<div id="messageStack">' . $messageStack->output('password_forgotten') . '</div>'; 
	}
	if ($password_reset_initiated == true) {
		?>
  		<div id="returning_cust">
			<?php echo TEXT_PASSWORD_RESET_INITIATED; ?>
  	  	</div>
  	  	<?php
  	} else {
  		?>
  		<div id="returning_cust">
  			<?php echo TEXT_MAIN; ?>
				<br /><br />
				<?php echo tep_label_input_jquery('email_address', '', ENTRY_EMAIL_ADDRESS, 'a', '', 'email'); ?>				<br />
		<div id="bouton">
			<?php 
			echo  tep_button_jquery( IMAGE_BUTTON_BACK, tep_mobile_link(FILENAME_LOGIN, '', 'SSL'), 'b', 'button', 'data-icon="back" data-inline="true"');
			echo  tep_button_jquery( IMAGE_BUTTON_CONTINUE, '', 'b', 'submit', 'data-icon="arrow-r" data-iconpos="right" data-inline="true" rel="external"');
			?>		
		</div>
		</div>
	<?php
	}
?>
</form>
<?php
require(DIR_MOBILE_INCLUDES . 'footer.php');
?>