<?php
/*
  $Id$

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2013 osCommerce

  Modified for Mobile OsC 7.5.2. by @raiwa June 2014
  
  Released under the GNU General Public License
*/

  class tp_account {
    var $group = 'account';

    function prepare() {
      global $oscTemplate;

      $oscTemplate->_data[$this->group] = array('account' => array('title' => MY_ACCOUNT_TITLE,
                                                                   'links' => array('edit' => array('title' =>HEADER_TITLE_MY_ACCOUNT,
                                                                                                    'link' => tep_mobile_link(FILENAME_ACCOUNT_EDIT, '', 'SSL'),
                                                                                                    'icon' => 'arrow-r',
                                                                                                    'position' => 'right'),
                                                                                    'address_book' => array('title' => IMAGE_BUTTON_ADDRESS_BOOK,
                                                                                                            'link' => tep_mobile_link(FILENAME_ADDRESS_BOOK, '', 'SSL'),
                                                                                                            'icon' => 'arrow-r',
                                                                                                            'position' => 'right'),
                                                                                    'password' => array('title' => CATEGORY_PASSWORD,
                                                                                                        'link' => tep_mobile_link(FILENAME_ACCOUNT_PASSWORD, '', 'SSL'),
                                                                                                        'icon' => 'arrow-r',
                                                                                                        'position' => 'right'))),
                                                'orders' => array('title' => MY_ORDERS_TITLE,
                                                                  'links' => array('history' => array('title' => TEXT_MY_ORDERS,
                                                                                                      'link' => tep_mobile_link(FILENAME_ACCOUNT_HISTORY, '', 'SSL'),
                                                                                                      'icon' => 'arrow-r',
                                                                                                      'position' => 'right'))),
                                                'notifications' => array('title' => EMAIL_NOTIFICATIONS_TITLE,
                                                                         'links' => array('newsletters' => array('title' => EMAIL_NOTIFICATIONS_NEWSLETTERS,
                                                                                                                 'link' => tep_mobile_link(FILENAME_ACCOUNT_NEWSLETTERS, '', 'SSL'),
                                                                                                                 'icon' => 'arrow-r',
                                                                                                                 'position' => 'right'),
                                                                                          'products' => array('title' => EMAIL_NOTIFICATIONS_PRODUCTS,
                                                                                                              'link' => tep_mobile_link(FILENAME_ACCOUNT_NOTIFICATIONS, '', 'SSL'),
                                                                                                              'icon' => 'arrow-r',
                                                                                                              'position' => 'right'))),
                                                'logoff' => array('title' => '&nbsp;',
                                                                         'links' => array('newsletters' => array('title' => HEADER_TITLE_LOGOFF,
                                                                                                                 'link' => tep_mobile_link(FILENAME_LOGOFF, '', 'SSL'),
                                                                                                                 'icon' => 'arrow-d',
                                                                                                             'position' => 'bottom')))
                                                );
    }

    function build() {
      global $oscTemplate;

      $output = '';

      foreach ( $oscTemplate->_data[$this->group] as $group ) {
        $output .= '<h2>' . $group['title'] . '</h2>' .
                   '<div data-role="controlgroup">';

        foreach ( $group['links'] as $entry ) {
          
          $output .= tep_button_jquery($entry['title'] , $entry['link'], 'a' , 'button' , ( isset($entry['icon'])? 'data-icon="' . $entry['icon'] . '"' : '\'' ) . ( isset($entry['icon'])? ' data-iconpos="' . $entry['position'] . '"' : '\'' ));
        }

        $output .= '</div>';

      }

      $oscTemplate->addContent($output, $this->group);
    }
  }
?>
