<?php
// charset for mobile pages
define('MOBILE_CHARSET', 'windows-1252');

define('TEXT_HOME', 'Home');
define('TEXT_SHOP', 'Store');
define('TEXT_ACCOUNT', 'Account');
define('TEXT_ABOUT', 'Information');
define('TEXT_LANGUAGES', 'Languages');
define('TEXT_CURRENCIES', 'Currencies');
define('TEXT_OPTIONS', 'Options');
define('TEXT_THEME','Theme');
define('TEXT_SHOPPING_CART', 'My cart');
define('TEXT_HEADING_QUANTITY', 'Quantity');
define('TEXT_HEADING_PRICE', 'Price');

define('TEXT_HEADING_SPECIALS', 'Specials in %s');

define('TEXT_PRODUCT_OPTIONS', 'Available Options:');
define('TEXT_NO_PRODUCTS2', 'There is no product available from this manufacturer.');

define('MOBILE_GREETING_PERSONAL', 'Welcome back ');
define('MOBILE_GREETING_GUEST', 'Welcome Guest! Would you like to log yourself in? Or would you prefer to create an account?');

define('TEXT_WELCOME', 'Welcome to our mobile shop!'); 

define('TEXT_MY_ORDERS', 'My Orders');
define('TEXT_NEWSLETTERS', 'Newsletters');
define('TEXT_KEYWORDS', 'Keyword');

define('TEXT_NOSCRIPT', 'This mobile web shop requires Javascript. Please enable Javascript in your browser or change the view:');

define('TEXT_MOBILE_CATEGORIES', 'Category');
define('TEXT_MOBILE_MANUFACTURERS', 'Manufacturer');
define('TEXT_MOBILE_PRODUCTS_NEW', 'New Products');
define('TEXT_MOBILE_SPECIALS', 'Specials');

define('TEXT_MOBILE_ACCOUNT_CREATED', 'Congratulations! Your new account has been successfully created! You can now take advantage of member priviledges to enhance your online shopping experience with us. If you have <small><b>ANY</b></small> questions about the operation of this online shop, please email the <a data-role="button" data-inline="true" data-mini="true" data-theme="b" data-icon="edit" href="' . tep_href_link(FILENAME_CONTACT_US) . '">store owner</a>.<br><br>A confirmation has been sent to the provided email address. If you have not received it within the hour, please <a data-role="button" data-inline="true" data-mini="true" data-theme="b" data-icon="edit" href="' . tep_href_link(FILENAME_CONTACT_US) . '">contact us</a>.');

define('MODULE_CONTENT_CHECKOUT_SUCCESS_TEXT_SEE_ORDERS_MOBILE', 'You can view the status of your order anytime in your account <a data-role="button" data-inline="true" data-mini="true" data-theme="b" data-icon="edit" href="' . tep_href_link(FILENAME_ACCOUNT, '', 'SSL') . '">\'View Orders\'</a> page.');
define('MODULE_CONTENT_CHECKOUT_SUCCESS_TEXT_CONTACT_STORE_OWNER_MOBILE', 'Please forward any questions you may have to us on our <a data-role="button" data-inline="true" data-mini="true" data-theme="b" data-icon="edit" href="' . tep_href_link(FILENAME_CONTACT_US) . '">Contact Us</a> page.');

define('MOBILE_SELECT_THIS_METHOD','Click to select this method');
define('MOBILE_PULL_DOWN_DEFAULT_1', 'Please select');
define('MOBILE_PULL_DOWN_DEFAULT_2', '');
define('TEXT_MOBILE_BACK_TO_CATEGORIES', 'Back to categories');
define('TEXT_SORTED_BY', 'Sorted by:&nbsp;');
define('TEXT_SORT_BY', 'Sort by:');
define('TEXT_MOBILE_SHOW_ALL', 'Show all');

// BOF Pulldown Date Of Birth
define('MOBILE_DATE_DAY', 'Day');
define('MOBILE_DATE_MONTH', 'Month');
define('MOBILE_DATE_YEAR', 'Year');
define('MOBILE_DATE_JAN', 'January');
define('MOBILE_DATE_FEB', 'February');
define('MOBILE_DATE_MAR', 'March');
define('MOBILE_DATE_APR', 'April');
define('MOBILE_DATE_MAY', 'May');
define('MOBILE_DATE_JUN', 'June');
define('MOBILE_DATE_JUL', 'July');
define('MOBILE_DATE_AUG', 'August');
define('MOBILE_DATE_SEP', 'September');
define('MOBILE_DATE_OCT', 'October');
define('MOBILE_DATE_NOV', 'November');
define('MOBILE_DATE_DEC', 'December');
// EOF Pulldown Date Of Birth

define('INPUT_SEARCH', 'Product Name, Reference');

define('IMAGE_BUTTON_ACCOUNT', 'My Account');
define('IMAGE_BUTTON_ADVANCED_SEARCH', 'Advanced Search');
define('IMAGE_BUTTON_CHANGE', 'Change');
define('IMAGE_BUTTON_CREATE_ACCOUNT', 'Create Account');
define('IMAGE_BUTTON_DOWNLOAD', 'Download');
define('IMAGE_BUTTON_FORGOT_PASS', 'Forgot Password');
define('IMAGE_BUTTON_LOGOFF', 'Sign Off');
define('IMAGE_BUTTON_REMOVE', 'Remove');
define('BUTTON_PREV', 'Prev');
define('BUTTON_NEXT', 'Next');
define('IMAGE_BUTTON_WEBPAGE', 'Webpage');
define('IMAGE_BUTTON_BACK_TO', 'Back to ');
define('IMAGE_BUTTON_PHONE', 'Phone ');
?>
