<?php

  $new_products_query = tep_db_query("select distinct p.products_id, p.products_image, p.products_price, p.products_tax_class_id, pd.products_name, IF(s.status, s.specials_new_products_price, NULL) as specials_new_products_price, IF(s.status, s.specials_new_products_price, p.products_price) as final_price from " . TABLE_PRODUCTS . " p left join " . TABLE_SPECIALS . " s on p.products_id = s.products_id, " . TABLE_PRODUCTS_DESCRIPTION . " pd where p.products_status = '1' and p.products_id = pd.products_id and pd.language_id = '" . (int)$languages_id . "' order by p.products_date_added desc limit " . MOBILE_NEW_PRODUCTS_MODULE);

  if (tep_db_num_rows($new_products_query) > 0) {
  
    $new_prods_content = '<div class="cms">';
    $new_prods_content .= tep_button_jquery(sprintf(TABLE_HEADING_NEW_PRODUCTS, strftime('%B')), tep_mobile_link(FILENAME_PRODUCTS_NEW), 'b' , 'button' , ' data-icon="arrow-r" data-iconpos="right"' );

    switch (MOBILE_PRODUCT_LIST_COLUMNS){
      case '1':
        $new_prods_content .= '  <div>';
      break;
      case '2':
        $new_prods_content .= '  <div class="ui-grid-a product-listing-breakpoint">';
      break;
      case '3':
        $new_prods_content .= '  <div class="ui-grid-b product-listing-breakpoint">';
      break;
      case '4':
        $new_prods_content .= '  <div class="ui-grid-c product-listing-breakpoint">';
      break;
      case '5':
        $new_prods_content .= '  <div class="ui-grid-d product-listing-breakpoint">';
      break;
    }

    $col = 0;
    while ($new_products = tep_db_fetch_array($new_products_query)) {

      if ($col >= MOBILE_PRODUCT_LIST_COLUMNS) {
        $col = 0;
      }
    
    if (MOBILE_PRODUCT_LIST_COLUMNS == 1) {
      $new_prods_content .=  '    <div>';
    } else {    	    
      switch ($col) {
        case '0':
          $new_prods_content .=  '    <div class="ui-block-a">';
        break;
        case '1':
          $new_prods_content .=  '    <div class="ui-block-b">';
        break;
        case '2':
          $new_prods_content .=  '    <div class="ui-block-c">';
        break;
        case '3':
          $new_prods_content .=  '    <div class="ui-block-d">';
        break;
        case '4':
          $new_prods_content .=  '    <div class="ui-block-e">';
        break;
      }
    }
    
      $path = '<a href="' . tep_mobile_link(FILENAME_PRODUCT_INFO, 'products_id=' . $new_products['products_id']) . '">';
      $img = tep_image(DIR_WS_IMAGES .$new_products['products_image'], $new_products['products_name'], MOBILE_IMAGE_WIDTH, MOBILE_IMAGE_HEIGHT);
      $img = str_replace( 'border="0"','',$img); // W3C VALID HTML 5
	
      if (tep_not_null($new_products['specials_new_products_price'])) {
        $price = '<s>' . $currencies->display_price($new_products['products_price'], tep_get_tax_rate($new_products['products_tax_class_id'])) . '</s>&nbsp;&nbsp;<span class="productSpecialPrice">' . $currencies->display_price($new_products['specials_new_products_price'], tep_get_tax_rate($new_products['products_tax_class_id'])) . '</span>';
      } else {
        $price = $currencies->display_price($new_products['products_price'], tep_get_tax_rate($new_products['products_tax_class_id']));
      }
       
      $new_prods_content .= '      <div class="prodCell">' . 
        	            '        <div class="ui-bar">';

      $new_prods_content .= '<div class="prodImage">' . $path . $img . '</a></div>';
      $new_prods_content .= '<div class="prodName">' . $path;
      if (strlen($new_products['products_name']) > MOBILE_PRODUCT_NAME_LENGTH) {
        $new_prods_content .= substr($new_products['products_name'], 0, MOBILE_PRODUCT_NAME_LENGTH) . '...';
      } else {
        $new_prods_content .= $new_products['products_name'];
      }
      $new_prods_content .= '</a></div>';
      $new_prods_content .= '<div class="prodPrice">' . $price . '</div>';
      $new_prods_content .= '        </div>' . 
    			    '      </div>' .
    			    '    </div>';
      $col++;

      } // end while
    
      $new_prods_content .= '  </div>' . 
      			    '</div>';
      echo $new_prods_content;
  }
?>
