<?php
require(DIR_MOBILE_CLASSES . 'split_page_results_mobile.php');
$listing_split = new splitPageResultsMobile($listing_sql, 12, 'p.products_id');
//<!-- products //-->
if ($listing_split->number_of_rows > 0 ) {
  for ($line=0, $n=sizeof($column_list); $line<$n; $line++) {

    switch ($column_list[$line]) {
      case 'PRODUCT_LIST_MODEL':
        $lc_text = TABLE_HEADING_MODEL;
        break;
      case 'PRODUCT_LIST_NAME':
        $lc_text = TABLE_HEADING_PRODUCTS;
        break;
      case 'PRODUCT_LIST_MANUFACTURER':
        $lc_text = TABLE_HEADING_MANUFACTURER;
        break;
      case 'PRODUCT_LIST_PRICE':
        $lc_text = TEXT_HEADING_PRICE;
        break;
      case 'PRODUCT_LIST_QUANTITY':
        $lc_text = TEXT_HEADING_QUANTITY;
        break;
      case 'PRODUCT_LIST_WEIGHT':
        $lc_text = TABLE_HEADING_WEIGHT;
        break;
      case 'PRODUCT_LIST_IMAGE':
        $lc_text = TABLE_HEADING_IMAGE;
        break;
    }

    if ( ($column_list[$line] != 'PRODUCT_LIST_BUY_NOW') && ($column_list[$line] != 'PRODUCT_LIST_IMAGE') ) {
      $sort_button .= tep_create_sort_menu($HTTP_GET_VARS['sort'], $line+1, $lc_text);
      if (substr($HTTP_GET_VARS['sort'], 0, 1) == $line+1) {
        $sortby = $HTTP_GET_VARS['sort'];
      	$colnum = $line+1;
      	$sort_selected_icon = (substr($sortby, 0, 1) == $colnum ? (substr($sortby, 1, 1) == 'a' ? 'arrow-u' : 'arrow-d') : 'arrow-d');
      	$sort_selected = $lc_text;
      }
    }
  }
  $sort_button = '<div style="text-align:center"><a href="#sortpopupMenu" data-rel="popup" data-role="button" data-transition="slideup" data-icon="' . $sort_selected_icon . '" data-iconpos="right" data-inline="true" data-theme="a" data-mini="true">' . TEXT_SORTED_BY . $sort_selected . '</a>' .
                 '<div data-role="popup" id="sortpopupMenu" data-theme="a">' .
                 '<ul data-role="listview" data-inset="true" style="min-width:210px;" data-theme="a">' . $sort_button;

  $sort_button .= '</ul>';
  $sort_button .= '</div></div>';
  ?>
  <div class="cms">
  <?php
  if ($line > 0 && basename($PHP_SELF) != FILENAME_PRODUCTS_NEW  && $listing_split->number_of_rows > 1) echo  $sort_button;

  $listing_query = tep_db_query($listing_split->sql_query);
?>
  <ul data-role="listview" data-inset="true">
<?php
  while ($listing = tep_db_fetch_array($listing_query)) {
    $path = tep_mobile_link(FILENAME_PRODUCT_INFO, 'products_id=' . $listing['products_id']);
    $img = tep_image(DIR_WS_IMAGES .$listing['products_image'], $listing['products_name'], MOBILE_IMAGE_WIDTH, MOBILE_IMAGE_HEIGHT);
    $img = str_replace( 'border="0"','',$img); // W3C VALID HTML 5
    if (strlen($listing['products_name']) > MOBILE_PRODUCT_NAME_LENGTH) {
      $prod_name = substr($listing['products_name'], 0, MOBILE_PRODUCT_NAME_LENGTH) . '...';
    } else {
      $prod_name = $listing['products_name'];
    }
    if (tep_not_null($listing['specials_new_products_price'])) {
      $price = '<s>' . $currencies->display_price($listing['products_price'], tep_get_tax_rate($listing['products_tax_class_id'])) . '</s>&nbsp;&nbsp;<span class="productSpecialPrice">' . $currencies->display_price($listing['specials_new_products_price'], tep_get_tax_rate($listing['products_tax_class_id'])) . '</span>';
    } else {
      $price = $currencies->display_price($listing['products_price'], tep_get_tax_rate($listing['products_tax_class_id']));
    }
    echo  '<li><a href="' . $path . '">' . $img . '<h2 class="prodName">' . $prod_name . '</h2><p>' . $price . '</p></a></li>';
  }
?>
</ul>

</div>

<div id="results">
<?php 
  echo $listing_split->display_count(TEXT_DISPLAY_NUMBER_OF_PRODUCTS);
  echo '<div data-role="controlgroup" data-type="horizontal" data-mini="true">' . $listing_split->display_links_mobile(MAX_DISPLAY_PAGE_LINKS, tep_get_all_get_params(array('page', 'info', 'x', 'y'))) . '</div>';
?>
</div>
<?php
} else {
  echo '<div class="cms">' . ((basename($PHP_SELF) == 'advanced_search_result.php')? TEXT_NO_PRODUCTS : TEXT_NO_PRODUCTS2) . '</div>';	
}
?>
