<?php 
  $oscTemplate->buildBlocks();
?>
<!DOCTYPE html>
<head>
<meta charset="<?php echo ((CHARSET == 'utf-8')? CHARSET : MOBILE_CHARSET); ?>" />
<title><?php echo tep_output_string_protected($oscTemplate->getTitle()); ?></title>
<meta name="viewport"
content="width=320, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />
<meta name="apple-mobile-web-app-capable"
         content="yes" />
<meta name="apple-mobile-web-app-status-bar-style"
         content="default" />
<?php
if (strpos($PHP_SELF,'checkout') || strpos($PHP_SELF,'shopping_cart') || strpos($PHP_SELF,'account') || strpos($PHP_SELF,'log') ) {
?> 
<meta name="googlebot"
   content="noindex, nofollow">
<meta name="robots"
   content="noindex, nofollow">
<?php
}
?>
<base href="<?php echo (($request_type == 'SSL') ? HTTPS_MOBILE_SERVER . DIR_WS_HTTPS_MOBILE : HTTP_MOBILE_SERVER . DIR_WS_HTTP_MOBILE); ?>" />
<link rel="stylesheet" href="ext/css/mobile_stylesheet.css?<?php echo time()?>" />
<!--Include JQM-->
<link rel="stylesheet" href="ext/css/theme-<?php echo CSS;?>-min.css?time=<?php echo time()?>" />
<link rel="stylesheet" href="ext/css/jquery.mobile.structure-1.3.2.min.css" />
<script src="ext/jquery/jquery-1.10.2.min.js"></script>
<link rel="stylesheet" type="text/css" href="ext/jquery/fancybox/jquery.fancybox-2.1.5.css">
<script type="text/javascript" src="ext/jquery/fancybox/jquery.fancybox.pack-2.1.5.js"></script>
<?php
/* Desactivate Ajax for the checkout and catalog_mb pages !*/
if (AJAX_ENABLED != 'true' || substr(basename($PHP_SELF), 0, 8) == 'checkout' || basename($PHP_SELF) == FILENAME_CATALOG_MB || substr(basename($PHP_SELF), 0, 7) == 'account' || substr(basename($PHP_SELF), 0, 12) == 'address_book' || basename($PHP_SELF) == FILENAME_LOGIN || basename($PHP_SELF) == FILENAME_CREATE_ACCOUNT)
echo '<script type="text/javascript">
$(document).bind("mobileinit", function () {
    $.mobile.ajaxEnabled = false;
});
</script>';
?>

<script src="ext/jquery/mobile/jquery.mobile-1.3.2.min.js"></script>
<script src="ext/js/jquery.validate.min.js"></script>
<?php 
$languages_query = tep_db_query("select languages_id, code from " . TABLE_LANGUAGES . " order by sort_order");
while ($languages = tep_db_fetch_array($languages_query)) {
	if ($languages['languages_id'] == $languages_id)
		$lang = $languages['code'];
	}
if ($lang != 'en') { ?>
<script src="ext/js/localization/messages_<?php echo $lang; ?>.js"></script>
<?php }

if ( ((basename($PHP_SELF) == FILENAME_CATALOG_MB || basename($PHP_SELF) == FILENAME_NEW_PRODUCTS || basename($PHP_SELF) == FILENAME_SPECIALS || basename($PHP_SELF) == FILENAME_ADVANCED_SEARCH_RESULT) && MOBILE_PRODUCT_LISTING == 0) || (basename($PHP_SELF) == FILENAME_DEFAULT && (MOBILE_NEW_PRODUCTS_MODULE > 0 || MOBILE_SPECIALS_MODULE > 0 || MOBILE_UPCOMING_MODULE > 0)) )echo '<style type="text/css">
/* stack all grids below 40em (640px) */
@media all and (max-width: ' . MOBILE_PRODUCT_LIST_BREAKPOINT . 'em) {
	.product-listing-breakpoint .ui-block-a,
	.product-listing-breakpoint .ui-block-b,
	.product-listing-breakpoint .ui-block-c,
	.product-listing-breakpoint .ui-block-d,
	.product-listing-breakpoint .ui-block-e {
		width: 100%;
		float: none;
	}
}
</style>';
if ( (basename($PHP_SELF) == FILENAME_CATALOG_MB || basename($PHP_SELF) == FILENAME_NEW_PRODUCTS || basename($PHP_SELF) == FILENAME_SPECIALS || basename($PHP_SELF) == FILENAME_ADVANCED_SEARCH_RESULT) && MOBILE_PRODUCT_LISTING == 1 )echo '<style type="text/css">
@media ( min-width: ' . MOBILE_PRODUCT_LIST_BREAKPOINT . 'em ) {
	/* Show the table header rows and set all cells to display: table-cell */
	.product-table-breakpoint td,
	.product-table-breakpoint th,
	.product-table-breakpoint tbody th,
	.product-table-breakpoint tbody td,
	.product-table-breakpoint thead td,
	.product-table-breakpoint thead th {
		display: table-cell;
		margin: 0;
		text-align:right;
	}
	/* Hide the labels in each cell */
	.product-table-breakpoint td .ui-table-cell-label,
	.product-table-breakpoint th .ui-table-cell-label {
		display: none;
	}
}
</style>';

echo $oscTemplate->getBlocks('header_tags');
?>

</head>
<body>
<?php
echo '<noscript>';
echo '<div class="errorMsg">'.TEXT_NOSCRIPT.'<br><a rel="external"
href="' . $classic_url . '">' . TEXT_SHOW_VIEW_1 . TEXT_CLASSIC_VIEW .
TEXT_SHOW_VIEW_2 . '</a></div>';
echo '</noscript>';
?>

<!-- header //-->
<div data-role="page" class="ui-page" data-dom-cache="false">
<div class="errorMsg">
<?php
if ($messageStack->size('header') > 0) {
echo $messageStack->output('header');
}
?>
</div>
<!-- error msg -->

<?php
echo '<div data-role="header" class="nav-glyphish-example" data-tap-toggle="false" data-hide-during-focus="">
      <div id="headerLogo"><a href="' . tep_mobile_link(FILENAME_DEFAULT) . '">' . tep_image(DIR_WS_HTTP_MOBILE . DIR_MOBILE_IMAGES . 'store_logo.png', STORE_NAME) . '</a>';
      
if ( (MOBILE_HEADER_PHONE == 'true') && (MOBILE_STORE_PHONE != '') )
  echo '<br />' . tep_button_jquery(IMAGE_BUTTON_PHONE . MOBILE_STORE_PHONE, 'tel:' . MOBILE_STORE_PHONE, 'a' , 'button' , 'data-icon="grid" data-mini="true" data-inline="true"' );

echo '</div>
      <div data-role="navbar" class="nav-glyphish-example" data-grid="d" data-hide-during-focus="">
    <ul>
        <li>'.tep_button_jquery( TEXT_HOME, tep_mobile_link(FILENAME_DEFAULT, (basename($PHP_SELF) == (FILENAME_CHECKOUT_CONFIRMATION || FILENAME_CHECKOUT_SUCCESS)? 'redirectCancelled=true':'')), 'a' , '' , 'id="homes" data-icon="custom" data-ajax="false"' ).'</li>
	<li>'.tep_button_jquery( TEXT_SHOP, tep_mobile_link(FILENAME_CATALOG_MB, (basename($PHP_SELF) == (FILENAME_CHECKOUT_CONFIRMATION || FILENAME_CHECKOUT_SUCCESS)? 'redirectCancelled=true':'')), 'a' , '' , 'id="boutique" data-icon="custom"' ).'</li>
        <li>'.tep_button_jquery( TEXT_ACCOUNT, tep_mobile_link(FILENAME_ACCOUNT, (basename($PHP_SELF) == (FILENAME_CHECKOUT_CONFIRMATION || FILENAME_CHECKOUT_SUCCESS)? 'redirectCancelled=true':''), 'SSL'), 'a' , '' , 'id="compte" data-icon="custom" data-ajax="false"' ).'</li>
	<li>'.tep_button_jquery( IMAGE_BUTTON_SEARCH, tep_mobile_link(FILENAME_SEARCH, (basename($PHP_SELF) == (FILENAME_CHECKOUT_CONFIRMATION || FILENAME_CHECKOUT_SUCCESS)? 'redirectCancelled=true':'')), 'a' , '' , 'id="search" data-icon="custom"' ).'</li>
	<li>'.tep_button_jquery( TEXT_ABOUT, tep_mobile_link(FILENAME_ABOUT, (basename($PHP_SELF) == (FILENAME_CHECKOUT_CONFIRMATION || FILENAME_CHECKOUT_SUCCESS)? 'redirectCancelled=true':'')), 'a' , '' , 'id="about" data-icon="custom"' ).'</li>
    </ul>
    </div>
</div>';
?>

<div id="header">
<?php

    if(sizeof($breadcrumb->_trail) > 0)
		$headerTitleText = $breadcrumb->_trail[sizeof($breadcrumb->_trail) - 1]['title'];

    if (isset($HTTP_GET_VARS['error_message']) && tep_not_null($HTTP_GET_VARS['error_message']))
	echo htmlspecialchars(stripslashes(urldecode($HTTP_GET_VARS['error_message'])));
?>
</div>
