<?php
require_once('includes/application_top.php');

  if (!tep_session_is_registered('customer_id') && (ALLOW_GUEST_TO_TELL_A_FRIEND == 'false')) {
    $navigation->set_snapshot();
    tep_redirect(tep_mobile_link(FILENAME_LOGIN, '', 'SSL'));
  }

  $valid_product = false;
  if (isset($HTTP_GET_VARS['products_id'])) {
    $product_info_query = tep_db_query("select pd.products_name from " . TABLE_PRODUCTS . " p, " . TABLE_PRODUCTS_DESCRIPTION . " pd where p.products_status = '1' and p.products_id = '" . (int)$HTTP_GET_VARS['products_id'] . "' and p.products_id = pd.products_id and pd.language_id = '" . (int)$languages_id . "'");
    if (tep_db_num_rows($product_info_query)) {
      $valid_product = true;

      $product_info = tep_db_fetch_array($product_info_query);
    }
  }

  if ($valid_product == false) {
    tep_redirect(tep_mobile_link(FILENAME_PRODUCT_INFO, 'products_id=' . (int)$HTTP_GET_VARS['products_id']));
  }

require(DIR_WS_LANGUAGES . $language . '/' . FILENAME_TELL_A_FRIEND);

  if (isset($HTTP_GET_VARS['action']) && ($HTTP_GET_VARS['action'] == 'process') && isset($HTTP_POST_VARS['formid']) && ($HTTP_POST_VARS['formid'] == $sessiontoken)) {
    $error = false;

    $to_email_address = tep_db_prepare_input($HTTP_POST_VARS['to_email_address']);
    $to_name = tep_db_prepare_input($HTTP_POST_VARS['to_name']);
    $from_email_address = tep_db_prepare_input($HTTP_POST_VARS['from_email_address']);
    $from_name = tep_db_prepare_input($HTTP_POST_VARS['from_name']);
    $message = tep_db_prepare_input($HTTP_POST_VARS['message']);

    if (empty($from_name)) {
      $error = true;

      $messageStack->add('friend', ERROR_FROM_NAME);
    }

    if (!tep_validate_email($from_email_address)) {
      $error = true;

      $messageStack->add('friend', ERROR_FROM_ADDRESS);
    }

    if (empty($to_name)) {
      $error = true;

      $messageStack->add('friend', ERROR_TO_NAME);
    }

    if (!tep_validate_email($to_email_address)) {
      $error = true;

      $messageStack->add('friend', ERROR_TO_ADDRESS);
    }

    $actionRecorder = new actionRecorder('ar_tell_a_friend', (tep_session_is_registered('customer_id') ? $customer_id : null), $from_name);
    if (!$actionRecorder->canPerform()) {
      $error = true;

      $actionRecorder->record(false);

      $messageStack->add('friend', sprintf(ERROR_ACTION_RECORDER, (defined('MODULE_ACTION_RECORDER_TELL_A_FRIEND_EMAIL_MINUTES') ? (int)MODULE_ACTION_RECORDER_TELL_A_FRIEND_EMAIL_MINUTES : 15)));
    }

    if ($error == false) {
      $email_subject = sprintf(TEXT_EMAIL_SUBJECT, $from_name, STORE_NAME);
      $email_body = sprintf(TEXT_EMAIL_INTRO, $to_name, $from_name, $product_info['products_name'], STORE_NAME) . "\n\n";

      if (tep_not_null($message)) {
        $email_body .= $message . "\n\n";
      }

      $email_body .= sprintf(TEXT_EMAIL_LINK, tep_href_link(FILENAME_PRODUCT_INFO, 'products_id=' . (int)$HTTP_GET_VARS['products_id'], 'NONSSL', false)) . "\n\n" .
                     sprintf(TEXT_EMAIL_SIGNATURE, STORE_NAME . "\n" . HTTP_SERVER . DIR_WS_CATALOG . "\n");

      tep_mail($to_name, $to_email_address, $email_subject, $email_body, $from_name, $from_email_address);

      $actionRecorder->record();

      $messageStack->add_session('header', sprintf(TEXT_EMAIL_SUCCESSFUL_SENT, $product_info['products_name'], tep_output_string_protected($to_name)), 'success');

      tep_redirect(tep_mobile_link(FILENAME_PRODUCT_INFO, 'products_id=' . (int)$HTTP_GET_VARS['products_id']));
    }
  } elseif (tep_session_is_registered('customer_id')) {
    $account_query = tep_db_query("select customers_firstname, customers_lastname, customers_email_address from " . TABLE_CUSTOMERS . " where customers_id = '" . (int)$customer_id . "'");
    $account = tep_db_fetch_array($account_query);

    $from_name = $account['customers_firstname'] . ' ' . $account['customers_lastname'];
    $from_email_address = $account['customers_email_address'];
  }

$breadcrumb->add(NAVBAR_TITLE, tep_href_link(FILENAME_TELL_A_FRIEND, 'products_id=' . (int)$HTTP_GET_VARS['products_id']));
require(DIR_MOBILE_INCLUDES . 'header.php');
$headerTitle->write($product_info['products_name']);
?>
<div id="iphone_content">
<div id="messageStack">
<?php
  if ($messageStack->size('friend') > 0) {
?>
        <?php echo $messageStack->output('friend'); ?>
<?php
  }
?>
</div>
<div id="contactForm">
<?php
  if (isset($HTTP_GET_VARS['action']) && ($HTTP_GET_VARS['action'] == 'success')) { ?>
  	  <?php echo TEXT_SUCCESS; ?>
  	  <div id="bouton">
  	  	<?php echo tep_button_jquery(IMAGE_BUTTON_CONTINUE,tep_mobile_link(FILENAME_DEFAULT),'b','button','data-icon="arrow-r" data-iconpos="right" data-inline="true"'); ?>
  	  </div>
<?php
	  } else {
	    echo tep_draw_form('email_friend', tep_mobile_link(FILENAME_TELL_A_FRIEND, 'action=process&products_id=' . (int)$HTTP_GET_VARS['products_id']), 'post', '', true);

	    echo '<h3>' . FORM_TITLE_CUSTOMER_DETAILS . '</h3>';
	    echo tep_label_input_jquery('from_name', '', FORM_FIELD_CUSTOMER_NAME);
	    echo tep_label_input_jquery('from_email_address', '', FORM_FIELD_CUSTOMER_EMAIL, 'a', '', 'email');

	    echo '<h3>' . FORM_TITLE_FRIEND_DETAILS . '</h3>';
	    echo tep_label_input_jquery('to_name', '', FORM_FIELD_FRIEND_NAME);
	    echo tep_label_input_jquery('to_email_address', '', FORM_FIELD_FRIEND_EMAIL, 'a', '', 'email');

	    echo '<h3>' . FORM_TITLE_FRIEND_MESSAGE . '</h3>';
	    echo tep_label_textarea_jquery('message', '', '', '100px');
?>

	  <div id="bouton">
	  <?php 
	  echo tep_button_jquery(IMAGE_BUTTON_BACK, tep_mobile_link(FILENAME_DEFAULT, '', 'NONSSL'),'b','button','data-rel="back" data-inline="true" data-icon="back" ') .
	  tep_button_jquery( IMAGE_BUTTON_CONTINUE , '#', 'b' , 'submit' , 'data-icon="arrow-r" data-iconpos="right" data-inline="true"');
          ?>

	  </div>
	  </form>
<?php
  }
?>
</div>

<?php require(DIR_MOBILE_INCLUDES . 'footer.php');
?>
