<?php
require_once('includes/application_top.php');

// unregister session variables used during checkout
  tep_session_unregister('mobilesession');

// if the customer is not logged on, redirect them to the shopping cart page
  if (!tep_session_is_registered('customer_id')) {
    tep_redirect(tep_mobile_link(FILENAME_SHOPPING_CART, 'redirectCancelled=true'));
  }

  $orders_query = tep_db_query("select orders_id from " . TABLE_ORDERS . " where customers_id = '" . (int)$customer_id . "' order by date_purchased desc limit 1");

// redirect to shopping cart page if no orders exist
  if ( !tep_db_num_rows($orders_query) ) {
    tep_redirect(tep_mobile_link(FILENAME_SHOPPING_CART, 'redirectCancelled=true'));
  }

  $orders = tep_db_fetch_array($orders_query);

  $order_id = $orders['orders_id'];

  $page_content = $oscTemplate->getContent('checkout_success');

  if ( isset($HTTP_GET_VARS['action']) && ($HTTP_GET_VARS['action'] == 'update') ) {
    tep_redirect(tep_mobile_link(FILENAME_DEFAULT, 'redirectCancelled=true'));
  }

  require(DIR_WS_LANGUAGES . $language . '/' . FILENAME_CHECKOUT_SUCCESS);

  $breadcrumb->add(NAVBAR_TITLE_1);
  $breadcrumb->add(NAVBAR_TITLE_2);

require(DIR_MOBILE_INCLUDES . 'header.php');
$headerTitle->write();
?>
<div id="iphone_content">

  <?php echo tep_draw_form('order', tep_mobile_link(FILENAME_CHECKOUT_SUCCESS, 'action=update', 'SSL')); ?>

    <div id="checkout_success">
      <?php echo $page_content; ?>

      <br />
      
      <div id="bouton">
      <?php echo  tep_button_jquery(IMAGE_BUTTON_CONTINUE , '', 'b' , 'submit' , 'data-icon="arrow-r" data-iconpos="right" data-inline="true"' ); ?>		
      </div>

    </div>
    
  </form>
  
<?php require(DIR_MOBILE_INCLUDES . 'footer.php');
?>
