<?php
require_once('includes/application_top.php');
require(DIR_WS_LANGUAGES . $language . '/' . FILENAME_PRODUCT_INFO);

$product_check_query = tep_db_query("select count(*) as total from " . TABLE_PRODUCTS . " p, " . TABLE_PRODUCTS_DESCRIPTION . " pd where p.products_status = '1' and p.products_id = '" . (int)$HTTP_GET_VARS['products_id'] . "' and pd.products_id = p.products_id and pd.language_id = '" . (int)$languages_id . "'");
$product_check = tep_db_fetch_array($product_check_query);

require(DIR_MOBILE_INCLUDES . 'header.php');

  if (!isset($HTTP_GET_VARS['products_id'])) {
        tep_redirect(tep_href_link(FILENAME_DEFAULT));
  }
?>


<div id="iphone_content">
	<?php
	echo tep_draw_form('cart_quantity', tep_mobile_link(FILENAME_PRODUCT_INFO, tep_get_all_get_params(array('action')) . 'action=add_product'));

	if ($product_check['total'] < 1) {
		$headerTitle->write(TEXT_PRODUCT_NOT_FOUND);  ?>
		<div id="cms">
			<?php echo TEXT_PRODUCT_NOT_FOUND; ?>
			<div id="bouton">
				<?php echo tep_button_jquery(IMAGE_BUTTON_CONTINUE,tep_mobile_link(FILENAME_DEFAULT),'b','button','data-icon="check"'); ?>  
			</div>
		</div>
		<?php
	} else {
		$product_info_query = tep_db_query("select p.products_id, pd.products_name, pd.products_description, p.products_model, p.products_quantity, p.products_image, pd.products_url, p.products_price, p.products_tax_class_id, p.products_date_added, p.products_date_available, p.manufacturers_id from " . TABLE_PRODUCTS . " p, " . TABLE_PRODUCTS_DESCRIPTION . " pd where p.products_status = '1' and p.products_id = '" . (int)$HTTP_GET_VARS['products_id'] . "' and pd.products_id = p.products_id and pd.language_id = '" . (int)$languages_id . "'");
		$product_info = tep_db_fetch_array($product_info_query);

		tep_db_query("update " . TABLE_PRODUCTS_DESCRIPTION . " set products_viewed = products_viewed+1 where products_id = '" . (int)$HTTP_GET_VARS['products_id'] . "' and language_id = '" . (int)$languages_id . "'");

		if ($new_price = tep_get_products_special_price($product_info['products_id'])) {
			$products_price = '<del>' . $currencies->display_price($product_info['products_price'], tep_get_tax_rate($product_info['products_tax_class_id'])) . '</del> <span class="productSpecialPrice">' . $currencies->display_price($new_price, tep_get_tax_rate($product_info['products_tax_class_id'])) . '</span>';
		} else {
			$products_price = $currencies->display_price($product_info['products_price'], tep_get_tax_rate($product_info['products_tax_class_id']));
		}

		if (tep_not_null($product_info['products_model'])) {
			$products_name = $product_info['products_name'] . '<br /><span class="smallText">[' . $product_info['products_model'] . ']</span>';
		} else {
			$products_name = $product_info['products_name'];
		}
		$headerTitle->write($product_info['products_name']);
		echo ((MOBILE_BREADCRUMB_TRAIL == 'true')? '<div id="breadcrumbtrail">' . $breadcrumb->trail('') . '</div>':'');
		?>

	<div class="ui-grid-a ui-responsive">
		<div class="ui-block-a">
		<div id="ficheProdTop">
		<h1><?php echo $products_name; ?></h1>
		<?php
    if (tep_not_null($product_info['products_image'])) {
      $photoset_layout = '1';

      $pi_query = tep_db_query("select image, htmlcontent from " . TABLE_PRODUCTS_IMAGES . " where products_id = '" . (int)$product_info['products_id'] . "' order by sort_order");
      $pi_total = tep_db_num_rows($pi_query);

      if ($pi_total > 0) {
        $pi_sub = $pi_total-1;

        while ($pi_sub > 5) {
          $photoset_layout .= 5;
          $pi_sub = $pi_sub-5;
        }

        if ($pi_sub > 0) {
          $photoset_layout .= ($pi_total > 5) ? 5 : $pi_sub;
        }
?>

    <div id="piGal">

<?php
        $pi_counter = 0;
        $pi_html = array();

        while ($pi = tep_db_fetch_array($pi_query)) {
          $pi_counter++;

          if (tep_not_null($pi['htmlcontent'])) {
            $pi_html[] = '<div id="piGalDiv_' . $pi_counter . '">' . str_replace('images/', DIR_WS_IMAGES, $pi['htmlcontent']) . '</div>';
          }

          echo tep_image(DIR_WS_IMAGES . $pi['image'], '', '', '', 'id="piGalImg_' . $pi_counter . '"');
        }
?>

    </div>

<?php
        if ( !empty($pi_html) ) {
          echo '    <div style="display: none;">' . implode('', $pi_html) . '</div>';
        }
      } else {
?>

    <div id="piGal">
      <?php echo tep_image(DIR_WS_IMAGES . $product_info['products_image'], addslashes($product_info['products_name'])); ?>
    </div>

<?php
      }
    }
?>

<script type="text/javascript">
$(function() {
  $('#piGal').css({
    'visibility': 'hidden'
  });

  $('#piGal').photosetGrid({
    layout: '<?php echo $photoset_layout; ?>',
    width: '250px',
    highresLinks: true,
    rel: 'pigallery',
    onComplete: function() {
      $('#piGal').css({ 'visibility': 'visible'});

      $('#piGal a').colorbox({
        maxHeight: '90%',
        maxWidth: '90%',
        rel: 'pigallery'
      });

      $('#piGal img').each(function() {
        var imgid = $(this).attr('id').substring(9);

        if ( $('#piGalDiv_' + imgid).length ) {
          $(this).parent().colorbox({ inline: true, href: "#piGalDiv_" + imgid });
        }
      });
    }
  });
});
</script>

		<div class="prodPrice"><?php echo $products_price; ?></div>
			<?php		
			$products_attributes_query = tep_db_query("select count(*) as total from " . TABLE_PRODUCTS_OPTIONS . " popt, " . TABLE_PRODUCTS_ATTRIBUTES . " patrib where patrib.products_id='" . (int)$HTTP_GET_VARS['products_id'] . "' and patrib.options_id = popt.products_options_id and popt.language_id = '" . (int)$languages_id . "'");
			$products_attributes = tep_db_fetch_array($products_attributes_query);
			if ($products_attributes['total'] > 0) {
					?>
					<div class="options">
						<strong><?php echo TEXT_PRODUCT_OPTIONS; ?></strong>	
						<br />
						<?php
				$products_options_name_query = tep_db_query("select distinct popt.products_options_id, popt.products_options_name from " . TABLE_PRODUCTS_OPTIONS . " popt, " . TABLE_PRODUCTS_ATTRIBUTES . " patrib where patrib.products_id='" . (int)$HTTP_GET_VARS['products_id'] . "' and patrib.options_id = popt.products_options_id and popt.language_id = '" . (int)$languages_id . "' order by popt.products_options_name");
				while ($products_options_name = tep_db_fetch_array($products_options_name_query)) {
					$products_options_array = array();
					$products_options_query = tep_db_query("select pov.products_options_values_id, pov.products_options_values_name, pa.options_values_price, pa.price_prefix from " . TABLE_PRODUCTS_ATTRIBUTES . " pa, " . TABLE_PRODUCTS_OPTIONS_VALUES . " pov where pa.products_id = '" . (int)$HTTP_GET_VARS['products_id'] . "' and pa.options_id = '" . (int)$products_options_name['products_options_id'] . "' and pa.options_values_id = pov.products_options_values_id and pov.language_id = '" . (int)$languages_id . "'");
					while ($products_options = tep_db_fetch_array($products_options_query)) {
						$products_options_array[] = array('id' => $products_options['products_options_values_id'], 'text' => $products_options['products_options_values_name']);
						if ($products_options['options_values_price'] != '0') {
							$products_options_array[sizeof($products_options_array)-1]['text'] .= ' (' . $products_options['price_prefix'] . $currencies->display_price($products_options['options_values_price'], tep_get_tax_rate($product_info['products_tax_class_id'])) .') ';
						}
					}

					if (is_string($HTTP_GET_VARS['products_id']) && isset($cart->contents[$HTTP_GET_VARS['products_id']]['attributes'][$products_options_name['products_options_id']])) {
						$selected_attribute = $cart->contents[$HTTP_GET_VARS['products_id']]['attributes'][$products_options_name['products_options_id']];
					} else {
						$selected_attribute = false;
					}
					?>
					<div class="optName">
						<div data-role="fieldcontain">
							<?php echo '<span style="position:relative; top:-14px">' . $products_options_name['products_options_name'] . ':   </span>' . tep_draw_pull_down_menu('id[' . $products_options_name['products_options_id'] . ']', $products_options_array, $selected_attribute, 'data-theme="a"'); ?>
						</div>
					</div>
					<?php
				}
				?></div>
				<div class="bouton">
				<?php
			} else {
				?>
				<div class="bouton">
				<?php
			}
				echo tep_draw_hidden_field('products_id', $product_info['products_id']) . '
				<input value="'.IMAGE_BUTTON_IN_CART.'" type="submit" name="cart" data-role="submit"  data-icon="plus" data-iconpos="right" data-theme="b">';?>
				</div>
				<?php
				if (MODULE_BOXES_PRODUCT_SOCIAL_BOOKMARKS_STATUS == 'True') {
					?><div style="text-align:center;"><?php include(DIR_MOBILE_MODULES . 'product_social_bookmarks.php'); ?></div><?php
				}
				?>
			</div>
		</div>
		<div class="ui-block-b">
			<div id="ficheProdMid">
			<?php
			tep_db_query("update " . TABLE_PRODUCTS_DESCRIPTION . " set products_viewed = products_viewed+1 where products_id = '" . (int)$HTTP_GET_VARS['products_id'] . "' and language_id = '" . (int)$languages_id . "'");
			?>
			<?php echo '<div class="description">' . stripslashes($product_info['products_description']) . '</div>'; ?>
			<?php
			if (tep_not_null($product_info['products_url'])) {
				echo '<div class="description">' . strip_tags(TEXT_MORE_INFORMATION) . tep_button_jquery(IMAGE_BUTTON_WEBPAGE, tep_mobile_link(FILENAME_REDIRECT, 'action=url&goto=' . $product_info['products_url'], 'NONSSL', true, false), 'b', 'button', 'data-inline="true" data-ajax="false" data-icon="info" data-mini="true"') . '</div>';
			}

			if ($product_info['products_date_available'] > date('Y-m-d H:i:s')) {
				echo '<div class="description">' . sprintf(TEXT_DATE_AVAILABLE, tep_date_long($product_info['products_date_available'])) . '</div>';
			} else {
				echo '<div class="description">' . sprintf(TEXT_DATE_ADDED, tep_date_long($product_info['products_date_added'])) . '</div>';
			}
			$reviews_query = tep_db_query("select count(*) as count from " . TABLE_REVIEWS . " r, " . TABLE_REVIEWS_DESCRIPTION . " rd where r.products_id = '" . (int)$HTTP_GET_VARS['products_id'] . "' and r.reviews_id = rd.reviews_id and rd.languages_id = '" . (int)$languages_id . "' and reviews_status = 1");
			$reviews = tep_db_fetch_array($reviews_query);
			?>
			</div>
		    </div>
		</div>
		<div class="bouton">
		  <div class="ui-grid-a ui-responsive">
		    <?php
		      if(sizeof($breadcrumb->_trail) > 1)
		        echo '<div class="ui-block-a">' . tep_button_jquery(IMAGE_BUTTON_BACK_TO . $breadcrumb->_trail[sizeof($breadcrumb->_trail) - 2]['title'], $breadcrumb->_trail[sizeof($breadcrumb->_trail) - 2]['link'],'b','button',' data-icon="back"') . '</div>';
		      echo '<div class="ui-block-b">' . tep_button_jquery( IMAGE_BUTTON_REVIEWS . (($reviews['count'] > 0) ? ' (' . $reviews['count'] . ')' : '') , tep_mobile_link(FILENAME_PRODUCT_REVIEWS, tep_get_all_get_params()) , 'b' , 'button' , 'data-icon="edit" data-iconpos="right" ' ) . '</div>';
		    ?> 
		  </div>
		</div>
		<?php
		if ((USE_CACHE == 'true') && empty($SID)) {
			if (tep_not_null(tep_cache_mobile_also_purchased(3600))) {
				echo tep_cache_mobile_also_purchased(3600);
			}
		} else {
			include(DIR_MOBILE_MODULES . FILENAME_ALSO_PURCHASED_PRODUCTS);
		}
	}
?>
</form>
<?php require(DIR_MOBILE_INCLUDES . 'footer.php');
?>